/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2009. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rational.test.lm.sequencer.web.client.internal.mapper.ExecutionSequenceMapper");
dojo.require("com.ibm.rqm.planning.web.client.internal.mapper.SearchResultMapper");

dojo.declare("com.ibm.rational.test.lm.sequencer.web.client.internal.mapper.ExecutionSequenceMapper",
             com.ibm.rqm.planning.web.client.internal.mapper.SearchResultMapper, {		
				
	// transforms a summary DTO to a full DTO
	map: function(summaryDTO) {
		
		if(summaryDTO.ownerName){
			summaryDTO.owner = {};
			summaryDTO.owner.name = summaryDTO.ownerName;
			summaryDTO.owner.userId = summaryDTO.ownerUserId;
			delete summaryDTO.ownerUserId;
			delete summaryDTO.ownerName;
		}
		return summaryDTO;
	}
	
});