/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.asq.common.web.ui.internal.app.Footer");


dojo.require("com.ibm.asq.common.web.client.internal.Constants");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");

(function() {
	
	var Constants = com.ibm.asq.common.web.client.internal.Constants;
     
dojo.declare("com.ibm.asq.common.web.ui.internal.app.Footer", [dijit._Widget, dijit._Templated], {
        
    templatePath: dojo.moduleUrl("com.ibm.asq.common.web", "ui/internal/app/templates/Footer.html"),
    
    postCreate: function() {
        com.ibm.asq.common.web.ui.internal.app.Footer.superclass.postCreate.apply(this);
        this.ibmLabelNode.innerHTML = Constants.getMessage("labelIBM");
        this.copyrightNode.innerHTML = Constants.getMessage("labelCopyright");
        this.powerByJazzNode.innerHTML = Constants.getMessage("labelPoweredByJazz");
    }
});

})();
