/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rqm.planning.web.ui.internal.dnd.DraggableTabs");

dojo.require("com.ibm.team.dashboard.web.ui.internal.dnd.DraggableTabs");
dojo.require("com.ibm.team.dashboard.web.ui.DashboardConstants");

(function() {
	var DashboardConstants = com.ibm.team.dashboard.web.ui.DashboardConstants;

	dojo.declare("com.ibm.rqm.planning.web.ui.internal.dnd.DraggableTabs", 
				  com.ibm.team.dashboard.web.ui.internal.dnd.DraggableTabs, 
{
	_selectTabAction: function(/*Widget*/ widget) {
		this.dashboardContainer.dashboardPage.switchingTabs = true;
		//location.href = Util.getDashboardItemHref(this.dashboardItem, widget.id);
		var href = "#action=" + "com.ibm.rqm.planning.home.actionDispatcher&subAction=viewUserHome";
		switch(this.dashboardItem.scope) {
			case DashboardConstants.SCOPE_CONTRIBUTOR:
				if (this.dashboardItem["public"]) {
					href += "&" + DashboardConstants.URL_PARAM_USER + "=" + this.dashboardItem.scopeItem.itemId;
				}
				else {
					href += "&" + DashboardConstants.URL_PARAM_ID + "=" + this.dashboardItem.itemId;
				}
				break;
			case DashboardConstants.SCOPE_TEAM_AREA:
				href += "&" + DashboardConstants.URL_PARAM_TEAM + "=" + this.dashboardItem.scopeItem.itemId;
				break;
			case DashboardConstants.SCOPE_PROJECT_AREA:
				break;
		}
		if (widget.id) {
			href += "&" + DashboardConstants.URL_PARAM_TAB + "=" + widget.id;
		}
		
		location.href = href;	
	}
});

})();

