/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.asq.common.web.ui.internal.util.SelectUtility");

(function(){

    dojo.declare("com.ibm.asq.common.web.ui.internal.util.SelectUtility", null, 
	{
		add: function( selectnode, option )
		{
			var options=selectnode.options;
			options[ options.length ] = option;
		},
		
		select: function(selectNode, value) {
			if (!selectNode) {
				return;
			}
			
			var options=selectNode.options;
			if (!options || !value) {
				return;
			}
			var length = options.length;
			for (var i = 0; i < length; i++) {
				if (options[i].value == value) {
					options[i].selected = true;
					return;
				}
			}
		}
	}
);	
})();

dojo.setObject("com.ibm.asq.common.web.ui.internal.util.SelectUtility", new com.ibm.asq.common.web.ui.internal.util.SelectUtility );
