/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
(function()
{	
	var ImageCache = dojo.provide("com.ibm.rqm.appscan.web.ui.internal.view.common.ImageCache");

	ImageCache._BASE= "ui/internal/view/templates/common/images/";

	ImageCache._getImageUri = function(imgName)
	{
		return dojo.moduleUrl("com.ibm.rqm.appscan.web", ImageCache._BASE + imgName);
	};
	
	ImageCache.getTypeIconURL = function(/* SimpleExtensionType */ type) {
		var icon = type.icon;	
		var iconImage = icon != null ? icon.substring(icon.lastIndexOf("/") + 1) : "";
		return dojo.moduleUrl("com.ibm.rqm.appscan.web", ImageCache._BASE + iconImage);
	};
	
	ImageCache.LOCK     			= ImageCache._getImageUri("lock.gif");
	ImageCache.NEWWINDOW   			= ImageCache._getImageUri("NewWindow.gif");
	ImageCache.EXTERNALLINK			= ImageCache._getImageUri("linkext.gif");
}
)();