/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
console.debug("Loading: com.ibm.rqm.adapter.robot.web.ui.internal.view.execution.RobotExecution");
dojo.provide("com.ibm.rqm.adapter.robot.web.ui.internal.view.execution.RobotExecution");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
//Dojo widget

(function() { // module container

dojo.declare("com.ibm.rqm.adapter.robot.web.ui.internal.view.execution.RobotExecution",[dijit._Widget, dijit._Templated],
	{
		templateString: "<div class=\"com-ibm-rqm-adapter-robot-execution\">"+
						"<div dojoAttachPoint=\"_messages\"></div>"+
						"</div>",
		
		postCreate: function() 
		{		
		console.debug("RobotExexecution->PostCreate");
		},
		
		showMessages: function(response)
		{
			console.debug("RobotExecution->showMessages");
			if (response) {
				dojox.data.dom.removeChildren(this._messages);
				var props = response.properties;
				if (props) {
					var propsLength = props.length;
					for (var i = 0; i < propsLength; i++) {
						var propName = props[i].propertyName;
						var propValue = props[i].propertyValue;
						var label = document.createElement('label');
						label.id = propName;
						label.innerHTML = propName + ": " + propValue;
						this._messages.appendChild(label);
						this._messages.appendChild(document.createElement('br'));
					}
				}
			}
		}
		
});
})();	
