/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2010. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.asq.common.web.ui.internal.widgets.richtext.plugins.CleanupPopup");
dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("com.ibm.asq.common.web.client.internal.Constants");
dojo.require("dijit.Editor");

(function(){
var Constants = com.ibm.asq.common.web.client.internal.Constants;

dojo.declare("com.ibm.asq.common.web.ui.internal.widgets.richtext.plugins.CleanupPopup", [dijit._Widget, dijit._Templated], {
	templateString: '<div class="com-ibm-rqm-cleanup"><label dojoAttachPoint="_loadingMsg">${msgloading}</label>'+
					'<div dojoAttachPoint="_editorContainerNode" ></div></div>',
	msgloading: Constants.getMessage("tableViewer_loading"),
	constructor: function(){
		this.content = null;
	},
	postCreate: function(){
	},
	initialize: function(args){
		this._loadingMsg.style.display = "none";
		this.content = args.content;
		this._editorNode = document.createElement("div");
		this._editorContainerNode.appendChild(this._editorNode);
		var editorArgs = {
			extraPlugins: []
		}
		this._editor =  new dijit.Editor(editorArgs, this._editorNode);
		if(this.content)
			this._editor.setValue(this.content);
	}

});
    
})();
