/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2005, 2009. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.rqm.buildintegration.web.client.internal.ExternalProjectAreaDescription");

dojo.require("com.ibm.team.repository.web.transport.ExternalTeamServerDescription");

(function() {

dojo.declare("com.ibm.rqm.buildintegration.web.client.internal.ExternalProjectAreaDescription", 
			  com.ibm.team.repository.web.transport.ExternalTeamServerDescription, {

	constructor: function(name, description, url, projectAreaItemId, projectAreaName) {
		// the superclass constructor is called automatically
		this._projectAreaItemId= projectAreaItemId;
		this._projectAreaName= projectAreaName;
	},
	
	getProjectAreaItemId: function() {
		return this._projectAreaItemId;
	},

	getProjectAreaName: function() {
		return this._projectAreaName;
	},

	__sentinel: null // terminates this class definition

});

})();
