/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
(function () {
dojo.provide("com.ibm.rqm.planning.web.client.internal.RichTextClient");

dojo.require("com.ibm.team.repository.web.transport.ServiceRequest");
dojo.require("com.ibm.team.repository.web.transport.TeamServerClient");

var ServiceRequest 			= com.ibm.team.repository.web.transport.ServiceRequest;
var TeamServerClient 		= com.ibm.team.repository.web.transport.TeamServerClient;

com.ibm.rqm.planning.web.client.internal.RichTextClient ={
	RICH_TEXT_REST_SERVICE_URI: "com.ibm.rqm.planning.common.service.rest.IRichTextRestService",
	
	contentToXHTML:function(serviceResponseHandler, content) {
		var serviceRequest = new ServiceRequest(this.RICH_TEXT_REST_SERVICE_URI, "postContentToXHTML", {content: content});
		TeamServerClient.invokeService(serviceRequest, serviceResponseHandler);
	}
};

})();