/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation  2010. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/

 //
 // Abstract action interface
 // Support executing an RQM action. Implementers of the  action create a cetral location where all actions are shared. 
 // 

dojo.provide("com.ibm.rqm.planning.web.ui.internal.model.action.AbstractAction");

(function()
{
	dojo.declare("com.ibm.rqm.planning.web.ui.internal.model.action.AbstractAction", null, {

        // cosntructor to support argument initialization of the action object.
        constructor: function(args)
        {
            dojo.mixin(this, args);
        },
		// Concreate classes implement the action in this method user, where idarray is the list of 
		// ids to apply the action to, type is the type from above, callbacks are called on completion. 
		execute: function(idArray, successCallback, errorCallback){
		},
		
		// Any initialization for the action
		init: function(){
		},
		
		// Get rid of the action
		dispose: function()
		{
		}
	});
})();
