/****************************************************************************** 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008. All Rights Reserved.
 *
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
dojo.provide("com.ibm.rqm.planning.web.ui.internal.view.administration.TestTypesContentArea");

dojo.require("com.ibm.rqm.planning.web.ui.internal.view.administration.AbstractContentArea");

dojo.require("com.ibm.rqm.planning.web.client.internal.Constants");

(function(){
    var Constants = com.ibm.rqm.planning.web.client.internal.Constants;
    dojo.declare("com.ibm.rqm.planning.web.ui.internal.view.administration.TestTypesContentArea", com.ibm.rqm.planning.web.ui.internal.view.administration.AbstractContentArea, {
        setName: function(){
            this.name = Constants.getMessage("labelTestTypes");
        },
        
        setText: function(){
            this.text = Constants.getMessage("labelSelectTestTypes");
        },
        
        setContent: function(){
            var table = document.createElement("table");
            var values = [Constants.getMessage("labelRFT"), Constants.getMessage("labelRMT"), Constants.getMessage("labelRobot")];
            var tr = document.createElement("tr");
            var td = document.createElement("td");
            for (var i = 0; i < values.length; i++) {
				var inputLabel = document.createElement("label");
				var input = document.createElement("input");
                input.type = "checkbox";
                input.name = "group";
				var text = document.createTextNode(values[i]);
                var br = document.createElement("br");
				inputLabel.appendChild(input);
                td.appendChild(inputLabel);
                td.appendChild(text);
                td.appendChild(br);
            }
            tr.appendChild(td);
            table.appendChild(tr);
            this.content = table;
        },
        
        getValues: function(){
        
        }
    });
})();
