/***ELB************************************************************************* 
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2008, 2010. All Rights Reserved.
 *  
 * U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 ******************************************************************************/
console.debug("Loading: com.ibm.rqm.execution.web.ui.internal.view.execution.ExecutionLogBody");
dojo.provide("com.ibm.rqm.execution.web.ui.internal.view.execution.ExecutionLogBody");

dojo.require("dijit._Widget");
dojo.require("dijit._Templated");
dojo.require("dojox.data.dom");
dojo.require("dojo.parser");
dojo.require("dijit._TimePicker");
dojo.require("dijit.form._DateTimeTextBox");
dojo.require("dojox.collections.ArrayList");
dojo.require("jazz.app.ResourceLink");

dojo.require("jazz.core.loader");
dojo.require("com.ibm.rqm.execution.web.client.internal.execution.ExecutionResultStates");
dojo.require("com.ibm.rqm.buildintegration.web.ui.internal.view.build.BuildList");
dojo.require("com.ibm.asq.common.web.ui.internal.view.common.RelatedInfo");
dojo.require("com.ibm.asq.common.web.ui.internal.TransportServiceResponseWrapper");
dojo.require("com.ibm.rqm.execution.web.client.internal.mapper.EWIMapper");
dojo.require("com.ibm.asq.common.web.ui.internal.util.Utility");
dojo.require("com.ibm.team.repository.web.client.session.Session");
dojo.require("com.ibm.team.process.web.client.projectarea");
dojo.require("com.ibm.rqm.execution.web.client.internal.execution.ExecutionResultClient");
dojo.require("com.ibm.rqm.execution.web.client.internal.execution.ExecutionWorkItemClient");
dojo.require("com.ibm.rqm.execution.web.client.internal.execution.ExecutionResultStateClient");
dojo.require("com.ibm.asq.common.web.client.internal.PermissionsClient");
dojo.require("com.ibm.rqm.planning.web.client.internal.Constants");
dojo.require("com.ibm.rqm.execution.web.ui.internal.view.common.ImageCache");
dojo.require("com.ibm.rqm.execution.web.ui.internal.util.Utility");
dojo.require("com.ibm.rational.test.lm.web.ui.internal.pages.AssetUriUtil");
dojo.require("com.ibm.rqm.execution.web.ui.internal.view.execution.EnvironmentContainer");
dojo.require("com.ibm.rqm.execution.web.ui.internal.view.execution.ExecutionPoints");
dojo.require("com.ibm.asq.common.web.ui.internal.view.layout.ViewHeaderLayout");
dojo.require("com.ibm.asq.common.web.ui.internal.view.common.CollapsibleSection");
dojo.require("com.ibm.asq.common.web.ui.internal.util.GlobalEvents");
dojo.require("com.ibm.rqm.planning.web.ui.internal.util.EditorUtil");
dojo.require("com.ibm.asq.common.web.ui.internal.util.SelectUtility");
dojo.require("com.ibm.asq.common.web.ui.internal.widgets.CommonDialog");
dojo.require("com.ibm.rqm.planning.web.ui.internal.util.Utility");
dojo.require("com.ibm.rqm.execution.web.ui.internal.view.table.DefectTableView");
//RTC Integration
dojo.require("com.ibm.rqm.defects.web.ui.view.common.ProgressDialog");
dojo.require("com.ibm.rqm.defects.web.client.ChangeRequestManager");
dojo.require("com.ibm.team.repository.web.foundation.NullProgressMonitor");
dojo.require("com.ibm.asq.common.web.ui.internal.view.common.ImageCache");
dojo.require("com.ibm.rqm.buildintegration.web.ui.internal.BuildUiUtil");
dojo.require("com.ibm.rqm.defects.web.client.internal.CmIntegrationClient");
dojo.require("com.ibm.asq.common.web.ui.internal.widgets.richtext.RichTextControl");

(function() { // module container
var ServiceResponseHandler			= com.ibm.asq.common.web.ui.internal.TransportServiceResponseWrapper;
var ExecutionResultClient			= com.ibm.rqm.execution.web.client.internal.execution.ExecutionResultClient;
var ExecutionWorkItemClient 		= com.ibm.rqm.execution.web.client.internal.execution.ExecutionWorkItemClient;
var ImageCache						= com.ibm.rqm.execution.web.ui.internal.view.common.ImageCache;
var CommonImageCache 				= com.ibm.asq.common.web.ui.internal.view.common.ImageCache;
var Utility							= com.ibm.rqm.execution.web.ui.internal.util.Utility;
var PlanningUtility					= com.ibm.rqm.planning.web.ui.internal.util.Utility;
var ASQUtility						= com.ibm.asq.common.web.ui.internal.util.Utility;
var ExecutionResultStateClient		= com.ibm.rqm.execution.web.client.internal.execution.ExecutionResultStateClient;
var getAuthenticatedContributor		= com.ibm.team.repository.web.client.session.getAuthenticatedContributor;
var GlobalEvents 					= com.ibm.asq.common.web.ui.internal.util.GlobalEvents;
var COL_ID							= "detail_td_id_";
var Constants                       = com.ibm.rqm.planning.web.client.internal.Constants;
var EditorUtil						= com.ibm.rqm.planning.web.ui.internal.util.EditorUtil;
var DEFECT_URL                  	= "#action=com.ibm.team.workitem.viewWorkItem&id=";
var getCurrentProjectArea			= com.ibm.team.process.web.client.projectarea.getCurrentProjectArea;
var SelectUtility 					= dojo.getObject( "com.ibm.asq.common.web.ui.internal.util.SelectUtility" );
var ViewHeaderLayout 				= com.ibm.asq.common.web.ui.internal.view.layout.ViewHeaderLayout;
var YesNoDialog      				= com.ibm.asq.common.web.ui.internal.widgets.YesNoDialog;
var DefectTableView					= com.ibm.rqm.execution.web.ui.internal.view.table.DefectTableView;
var EWIMapper						= com.ibm.rqm.execution.web.client.internal.mapper.EWIMapper;
var AssetUriUtil 					= com.ibm.rational.test.lm.web.ui.internal.pages.AssetUriUtil;
var NullProgressMonitor				= com.ibm.team.repository.web.foundation.NullProgressMonitor;
var ProgressDialog					= com.ibm.rqm.defects.web.ui.view.common.ProgressDialog;
var ChangeRequestManager			= com.ibm.rqm.defects.web.client.ChangeRequestManager;
var Status							= com.ibm.team.repository.web.foundation.Status;
var ArrayList						= dojox.collections.ArrayList;
var CmIntegrationClient				= com.ibm.rqm.defects.web.client.internal.CmIntegrationClient;
var DEFECT_ORIGIN_1					= "ExecutionResult";
var DEFECT_ORIGIN_2					= "ScriptlessResult";
var RelatedInfoPanel				= com.ibm.asq.common.web.ui.internal.view.common.RelatedInfoPanel;
var ExecutionPoints					= com.ibm.rqm.execution.web.ui.internal.view.execution.ExecutionPoints;
var BuildUiUtil 					= com.ibm.rqm.buildintegration.web.ui.internal.BuildUiUtil;
var BuildList 						= com.ibm.rqm.buildintegration.web.ui.internal.view.build.BuildList;
var SelectionDialog 				= com.ibm.asq.common.web.ui.internal.widgets.SelectionDialog;
var PermissionsClient 				= com.ibm.asq.common.web.client.internal.PermissionsClient;
var ExecutionResultStates			= com.ibm.rqm.execution.web.client.internal.execution.ExecutionResultStates;
var Constants_getMessage			= Constants.getMessage;
var RichTextControl 				= com.ibm.asq.common.web.ui.internal.widgets.richtext.RichTextControl;
dojo.declare(
	"ExecutionLogBody._TimePicker",
	dijit._TimePicker,
	{
		_showText: function(){
			this.timeMenu.innerHTML = "";
			var fromIso = dojo.date.stamp.fromISOString;
			this._clickableIncrementDate=fromIso(this.clickableIncrement);
			this._visibleIncrementDate=fromIso(this.visibleIncrement);
			this._visibleRangeDate=fromIso(this.visibleRange);
			// get the value of the increments and the range in seconds (since 00:00:00) to find out how many divs to create
			var sinceMidnight = function(/*Date*/ date){
				return date.getHours() * 60 * 60 + date.getMinutes() * 60 + date.getSeconds();
			};
			var clickableIncrementSeconds = sinceMidnight(this._clickableIncrementDate);
			var visibleIncrementSeconds = sinceMidnight(this._visibleIncrementDate);
			var visibleRangeSeconds = sinceMidnight(this._visibleRangeDate);

			// round reference date to previous visible increment
			var time = this.value.getTime();
			this._refDate = new Date(time - time % (visibleIncrementSeconds*1000));
			/* 
			 * Need to comment out the setting of the year to 1970 since we want the date and time both to be shown
			 * and instead use the year,month and day from the this.value --- Pratik
			 */
			//this._refDate.setFullYear(1970,0,1); // match parse defaults
			this._refDate.setFullYear(this.value.getFullYear(),this.value.getMonth(),this.value.getDate()); // match parse defaults
			
			// assume clickable increment is the smallest unit
			this._clickableIncrement = 1;
			// divide the visible range by the clickable increment to get the number of divs to create
			// example: 10:00:00/00:15:00 -> display 40 divs
			this._totalIncrements = visibleRangeSeconds / clickableIncrementSeconds;
			// divide the visible increments by the clickable increments to get how often to display the time inline
			// example: 01:00:00/00:15:00 -> display the time every 4 divs
			this._visibleIncrement = visibleIncrementSeconds / clickableIncrementSeconds;
			// divide the number of seconds in a day by the clickable increment in seconds to get the
			// absolute max number of increments.
			this._maxIncrement = (60 * 60 * 24) / clickableIncrementSeconds;

			// find the nodes we should display based on our filter
			var before = this._getFilteredNodes(0, this._totalIncrements >> 1, true);
			var after = this._getFilteredNodes(0, this._totalIncrements >> 1, false);
			if(before.length < this._totalIncrements >> 1){
				before = before.slice(before.length / 2);
				after = after.slice(0, after.length / 2);
			}
			dojo.forEach(before.concat(after), function(n){this.timeMenu.appendChild(n);}, this);
		}		
	}
);
dojo.declare("com.ibm.rqm.execution.web.ui.internal.view.execution.ExecutionLogBody",
    [dijit._Widget, dijit._Templated,
     com.ibm.asq.common.web.ui.internal.view.common.RelatedInfoMixin],
	{
		templatePath: dojo.moduleUrl("com.ibm.rqm.execution.web", "ui/internal/view/templates/execution/ExecutionLogBody.html"),
		
		widgetsInTemplate:true,
		_updatedDPUsage: false,
		labelLocalComputer: Constants_getMessage("labelLocalComputer"),
		_associatedDatapool: null,
		_buildEdited: false,
		
        constructor: function(args) {
            this._editorRegistry = dojo.getObject(Constants.EDITOR_REGISTRY_OBJECT_ID);
            this.relatedDefects = [];
            this._menus = [];
            
            this.paramArgs = args;
        },
				
		postCreate: function() {
			this.VERDICT_ID = this.id+"verdictCombo";
			this.IMG_ID = this.id +"verdictimage"; 
			this.PHASE_ID = this.id+"phase";
			this.TESTCASE_ID = this.id+"testCase";
			this.TESTSCRIPT_ID = this.id+"testScript";
			this.TOTALTIME_ID = this.id+"totalTime";
            this.isNew = true;
			this._isArchived = false;
			this.defectList = [];	
			this.defectIdList = [];
			this.removedDefectIdList = [];
			this.blockedDefectIds = [];
			this.removedBlockedDefectIds = [];
			this.extERRelatedDefects = new ArrayList();
			this.extAddedERRelatedDefects = new ArrayList();
			this.extRemovedERRelatedDefects = new ArrayList();
			this.extBlockingDefects = new ArrayList();
			this.extBlockingChangedDefects = new ArrayList();
			this.isExtSaved = false;
			if(!this.editable){
				var responseHandler = new ServiceResponseHandler(this, "_setTestScript", "_loadError");
                var args = {
                     resolveDefects: true
                };
                // the input parameter args could either pass in the itemId or
                // the id for the result artifact to view. Pick up the proper
                // id to retrieve the resultDTO.
                if(this.paramArgs.resultItemId) {
                    args.resultItemId = this.paramArgs.resultItemId;
                }
                else if (this.paramArgs.id) {
                    args.id = this.paramArgs.id;
                }
				ExecutionResultClient.getExecutionResultDTO(responseHandler, args);
			}else{
				var responseHandler = new EWIMapper(this, "_setEWI", "_loadError");			
				ExecutionWorkItemClient.getExecutionWorkItemSummaryDTOs(responseHandler, {id: this.ewiId, resolveResults: false});
			}
            this._createHeader(Constants_getMessage("labelExeResult"));
            this._header.setProgressStart(Constants_getMessage("labelLoading"), /*hideContent*/true);
            this._relatedDefectInfo = new RelatedInfoPanel();
            this._relatedDefectInfo.getInfoGroup(Constants_getMessage("labelRelatedDefects"), true);
		},
		
		uninitialize: function(){
			this._relatedDefectInfo.destroy();
			var menus = this._menus;
			var len = menus.length;
			for(var i=0;i<len;i++){
				var menu = menus[i]; 
				if(menu.destroyRecursive){
					menu.destroyRecursive();
				}
			}
			this._menus = [];
		},
		
        getStaticRelatedInfo: function() {
            return this._relatedDefectInfo;
        },
        
        getStaticRelatedInfoId: function() {
            if (this.ewi && this.ewi.id){
                return this.declaredClass + this.ewi.id;
            } else {
                var date = new Date();
                return this.declaredClass + date.toString();
            }
        },
        
        _addRelatedInfo: function() {            
            if (this.ewi) {
                var responseHandler = new ServiceResponseHandler(this, "_addrelatedDefectsInfo", "_error");
				ExecutionWorkItemClient.getRelatedDefects(responseHandler, {uuid_ewi: this.ewi.itemId, ewiStateId: this.ewi.stateId});
			}
        },
        
        _addrelatedDefectsInfo: function(relatedDefects) {
            if(!relatedDefects) {
                return;
            } 
            var group = this._relatedDefectInfo.getInfoGroup(Constants_getMessage("labelRelatedDefects"));
			if(group === null)
				return;
            dojox.data.dom.removeChildren(group._actionListNode);

            // combine defects from same test scripts and same test case and remove duplicates
            var allRelatedDefects = {};
            var defects = [];
            this.relatedDefects = [];
            if (relatedDefects.defectsByTestScript && dojo.isArray(relatedDefects.defectsByTestScript)) {
				var len = relatedDefects.defectsByTestScript.length;
                for (var j = 0; j < len; j++) {
                    var workitemId = relatedDefects.defectsByTestScript[j].workItem.itemId;
                    allRelatedDefects[workitemId] = relatedDefects.defectsByTestScript[j];
                }
            }
            if (relatedDefects.defectsByTestCase && dojo.isArray(relatedDefects.defectsByTestCase)) {
				var len2 = relatedDefects.defectsByTestCase.length;
                for (var k = 0; k < len2; k++) {
                    var workitemId = relatedDefects.defectsByTestCase[k].workItem.itemId;
                    allRelatedDefects[workitemId] = relatedDefects.defectsByTestCase[k];
                }
            }
            for (var key in allRelatedDefects) {
                defects.push(allRelatedDefects[key]);
            }

            // limit the number of display items
            var length = defects.length;
            if (length > Constants.MAX_INFO_PANEL_DEFECTS) 
                length = Constants.MAX_INFO_PANEL_DEFECTS;
            for (var i = 0; i < length; i++) {
				// extract the attributes needed
				var defectAttr = defects[i].workItem.attributes;
				var id = null;
				var summary = null;
				var state = null;
				var len3 = defectAttr.length;
				for (var j = 0; j < len3; j++) {
					var attr = defectAttr[j];
					switch (attr.key) {
						case "id":
							id = attr.value.id;
							break;
						case "summary":
							summary = attr.value.content;
							break;
						case "internalState":
							state = attr.value.label;
							break;
					}
					if (id && summary && state) {
						// break out if we get all attributes that we need
						break;
					}
				}
				/*
                // skip the defect if it is already added to the execution
				var defectList = this.defectList;
				if (defectList && dojo.isArray(defectList)) {
					var skipAlreadyAdded = false;
					var len = defectList.length;
					for (var k = 0; k < len ; k++) {
						if (defectList[k].id == id) {
							skipAlreadyAdded = true;
							break;
						}
					}
					if (skipAlreadyAdded) {
						continue;
					}
				}
				*/
				// add defect to the related defects panel
				this.relatedDefects.push(defects[i]);
				var defectText = "";
				if (summary.length > 20) 
					defectText = id + " : " + summary.substr(0, 15) + "... - " + state;
				else 
					defectText = id + " : " + summary + " - " + state;
				var defectUrl = DEFECT_URL + id;
				this._relatedDefectInfo.addLink(Constants_getMessage("labelRelatedDefects"), defectText, defectUrl);
			}
			
        },  
		
		_addRelatedExternalInfo: function(){
            if (this.ewi) {
                CmIntegrationClient.getReferencedDefects({ewiItemId: this.ewi.itemId}, dojo.hitch(this, function(status, result){
					if(status.isOK()){
						this._addRelatedExternalDefectsInfo(result);
					}else{
						this._getRelatedDefectsError(result);
					}
				}));
            }
		},
		
		_addRelatedExternalDefectsInfo: function(relatedDefectsArray){
			var group = this._relatedDefectInfo.getInfoGroup(Constants_getMessage("labelRelatedDefects"));
			if(group == null)
				return;
            dojox.data.dom.removeChildren(group._actionListNode);
            if(!relatedDefectsArray) {
                return;
            }
            // combine defects from same test scripts and same test case and remove duplicates
            var allRelatedDefects = {};
            var defects = [];
            this.relatedDefects = [];
			var len = relatedDefectsArray.length;
			for (var i = 0; i < len; i++) {
				allRelatedDefects[relatedDefectsArray[i].uri] = relatedDefectsArray[i];
			}
            for (var key in allRelatedDefects) {
				defects.push(allRelatedDefects[key]);
			}

            // limit the number of display items
            var length = defects.length;
            if (length > Constants.MAX_INFO_PANEL_DEFECTS) 
                length = Constants.MAX_INFO_PANEL_DEFECTS;
			var blockingDefects = this.extBlockingDefects;
			var len2 = blockingDefects.length;
            for (var i = 0; i < length; i++) {
				/*
                // skip the defect if it is already one of the blocking defects
                if (blockingDefects && dojo.isArray(blockingDefects)) {
                    var skipAlreadyAdded = false;
                    for (var k = 0; k < len2; k++) {
                        if (blockingDefects[k].id == defects[i].id || blockingDefects[k].uri == defects[i].uri) {
                            skipAlreadyAdded = true;
                            break;
                        }
                    }
                    if (skipAlreadyAdded) {
                        continue;
                    }
                }
				*/
                // add defect to the related defects panel
                this.relatedDefects.push(defects[i]);
				var linkLabel = defects[i].summary;
				var link = this._relatedDefectInfo.addLink(Constants_getMessage("labelRelatedDefects"), linkLabel, defects[i].uri, null, true);
				var resourceLinkArgs= { 
						uri: defects[i].uri,
						presentationUri: defects[i].uri,
						label: ""
					};
				new jazz.app.ResourceLink(resourceLinkArgs, link);
            }
		},   
        
		_setTestScript: function(result){
			if(!result){
				com.ibm.asq.common.web.ui.internal.util.Utility.handleArtifactLoadError(Constants_getMessage("labelExeResult"), Constants_getMessage("errRetrieveER"));
				dojox.data.dom.removeChildren(this.domNode);
				return;
			}
			if(!result.state){
				com.ibm.asq.common.web.ui.internal.util.Utility.handleArtifactLoadError(Constants_getMessage("labelExeResult"), Constants_getMessage("errRetrieveERBadState"));
				dojox.data.dom.removeChildren(this.domNode);
				return;
			}
			this.result = result;
			this.testScript = result.script;
			if(result.datapoolItemId){
				this._associatedDatapool = {itemId:result.datapoolItemId,name:result.datapoolName}
			}
			if(this.ewiId){
				var responseHandler = new EWIMapper(this, "_setEWI", "_loadError");
				ExecutionWorkItemClient.getExecutionWorkItemSummaryDTOs(responseHandler, {id: this.ewiId, resolveResults: false, includeArchived: true});
			}else{
				var responseHandler = new EWIMapper(this, "_setEWI", "_loadError");			
				ExecutionWorkItemClient.getExecutionWorkItemSummaryDTOs(responseHandler, {resultItemId: this.result.itemId, resolveResults: false, includeArchived: true});
			}
		},
		
		_setEWI: function(ewis){
			//Do another asyn call to get verdict types
			if(!this.ewi && (!ewis || ewis.length > 1)){
				com.ibm.asq.common.web.ui.internal.util.Utility.handleArtifactLoadError(Constants_getMessage("labelEWI"), Constants_getMessage("errRetrieveEWI"));
				dojox.data.dom.removeChildren(this.domNode);
                return;
			}
			var registryResponseHandler = new ServiceResponseHandler(this, "_setResultStates", "_error");
			ExecutionResultStateClient.getExecutionResultStates(registryResponseHandler, {includeHidden: true});
			if(ewis && ewis.length)
				this.ewi = ewis[0];//Should return only one in array
			if(ChangeRequestManager.INIT_INITIALIZED){
				this._addRelatedExternalInfo();
			} else {
				this._addRelatedInfo();
			}
			if (this.editable) {
				this._updateHeader(Constants_getMessage("labelExeResult"), Constants_getMessage("labelScriptless"));
				this._makeViewEditable();
			}else {
				var type = null
				if (this.result && this.result.script) 
					type = this.result.script.scriptType.name == "Manual" ? Constants_getMessage("labelManual") : Constants.getExtensionDisplayMessage(this.result.script.scriptType.name);
				this._updateHeader(Constants_getMessage("labelExeResult"), type ? type : Constants_getMessage("labelScriptless"));
				this._fillDetails();
			}
			if(this.result && !this._pdfButton){
				var printMenu = new dijit.Menu({ style: "display: none;"});
					var normalOption = new dijit.MenuItem({
						label: Constants.getMessage("labelShowNormalView"),
						onClick: dojo.hitch(this, "printPdfNormal")
					});
					printMenu.addChild(normalOption);
					var historyOption = new dijit.MenuItem({
						label: Constants.getMessage("printLabelHistory"),
						onClick: dojo.hitch(this, "printPdfHistory")
					});
					printMenu.addChild(historyOption);
					this._menus.push(printMenu);
					this._pdfButton = this._header.addLeftViewAction(Constants.getMessage("labelPDFView"), dojo.hitch(this, "onPDFView"), null, "pdf-icon-image", printMenu);
			}
			var args={
					parentController: this.parentController,
					ewi: this.ewi,
					showEnvDetails: true	//Since we need to see the name and description in ERs
			};
			if(this._scriptName)
				args.tsName = this._scriptName;
			if(this.ewi.testCase != null)
				this._testcase = this.ewi.testCase.name;
			ASQUtility.destroyWidgetsFromNode(this._envWidget);	
			dojox.data.dom.removeChildren(this._envWidget);
			var envWidget=new com.ibm.rqm.execution.web.ui.internal.view.execution.EnvironmentContainer(args);
			var params ={
				title: Constants_getMessage("labelTestEnvironment"),
				summary: envWidget.domNode,
				helpContextId: "rqm_execution_environments_help.html"
			};
			var envSection = this._createCollapsibleSection(params);
			this._envWidget.appendChild(envSection.domNode);
			var pointsArgs = {maxPoints: this.result?this.result.weight:this.ewi.weight};
			pointsArgs.callback = dojo.hitch(this,function(){
					this._setDirty(true);
				});
			if(!this._isPermitted())
                pointsArgs.isDisabled = true;
			if(this.result){
				pointsArgs.pointsPassed = this.result.pointsPassed;
				pointsArgs.pointsFailed = this.result.pointsFailed;
				pointsArgs.pointsBlocked = this.result.pointsBlocked;
				pointsArgs.pointsInconclusive = this.result.pointsInconclusive;
				pointsArgs.pointsAttempted = this.result.pointsAttempted;
			}
			ASQUtility.destroyWidgetsFromNode(this._pointsContainer);
			dojox.data.dom.removeChildren(this._pointsContainer);
			this.pointsContainer = new ExecutionPoints(pointsArgs);
			var weightparams ={
				title: Constants_getMessage("labelWeightDist"),
				summary: this.pointsContainer.domNode,
				helpContextId: "rqm_execution_weight_help.html"
			}
			var weightSection = this._createCollapsibleSection(weightparams);
			this._pointsContainer.appendChild(weightSection.domNode);
			dojo.publish(GlobalEvents.UpdateTabLabel, [window.location.hash, "", "ewiresult-icon-16", this.dirty]);
			if(!this.editable)
				this._setDirty(false);
			this.createDefectTable();
		},
		
		_fillLabels: function(editable){
			var colen = Constants_getMessage("labelColen");
			if (this.result) {
				this._resultIdLabel.innerHTML = Constants_getMessage("labelId") + colen;
				this._resultIdValue.innerHTML = this.result.id;
			}
			if(editable){
				this.verdict0.innerHTML = Constants_getMessage("labelOverallVerdict")+colen;
				this.hostName0.innerHTML = Constants_getMessage("labelHostname")+colen;
				this.owner0.innerHTML = Constants_getMessage("labelOwner")+colen;
				this.plan0.innerHTML = Constants_getMessage("labelTestPlan")+colen;
				this.phase0.innerHTML = Constants_getMessage("labelIteration")+colen;
				this.phase3.innerHTML = Constants_getMessage("labelStartTime")+colen;
				this.testCase0.innerHTML = Constants_getMessage("labelTestCase")+colen;
				this.testCase3.innerHTML = Constants_getMessage("labelEndTime")+colen;
				this.testScript0.innerHTML = Constants_getMessage("labelTestScript")+colen;
				this.testScript3.innerHTML = Constants_getMessage("labelTotalRunTime")+colen;
				this.weight0.innerHTML = Constants_getMessage("labelWeight")+colen;
				this._hbInputBox.value = Constants_getMessage("labelLocalComputer");
				this._hostName2SelectBox._setValueAttr(Constants_getMessage("labelLocalComputer"));
				this.build0.innerHTML = Constants_getMessage("labelBuild");
				this.build2.innerHTML = Constants_getMessage("labelUnassigned");
				this.buildUUID = null;
				this.buildId = null;
				var editImg = document.createElement("img");
				editImg.src = CommonImageCache.EDIT;
				editImg.alt = Constants_getMessage("labelChangeAssociatedBuild");
				editImg.title = Constants_getMessage("labelChangeAssociatedBuild");
				if(this.editBuildEvent){
					this.disconnect(this.editBuildEvent);
					this.editBuildEvent = null;
				}
				this.editBuildEvent = this.connect(editImg, "onclick", "onBuildChangeClick");
				var clearImg = document.createElement("img");
				clearImg.alt = Constants_getMessage("labelClearAssociatedBuild");
				clearImg.title = Constants_getMessage("labelClearAssociatedBuild");
				clearImg.src = CommonImageCache.CLEAR_FILTER_ENABLED;
				if(this.clearBuildEvent){
					this.disconnect(this.clearBuildEvent);	
					this.clearBuildEvent = null;
				}	
				this.clearBuildEvent = this.connect(clearImg, "onclick", "onBuildClearClick");
				dojox.data.dom.removeChildren(this.build22);
				this.build22.appendChild(editImg);
				this.build22.appendChild(clearImg);
			}else{
				this._editVerdict.innerHTML = Constants_getMessage("labelOverallVerdict")+colen;
				this._editHost.innerHTML = Constants_getMessage("labelHostname")+colen;
				this._editOwner.innerHTML = Constants_getMessage("labelOwner")+colen;
				this._editPlan.innerHTML = Constants_getMessage("labelTestPlan")+colen;
				this._editIteration.innerHTML = Constants_getMessage("labelIteration")+colen;
				this._startTimeLabel.innerHTML = Constants_getMessage("labelStartTime")+colen;
				this._editTestCase.innerHTML = Constants_getMessage("labelTestCase")+colen;
				this._stopTimeLabel.innerHTML = Constants_getMessage("labelEndTime")+colen;
				this._editTestScript.innerHTML = Constants_getMessage("labelTestScript")+colen;
				this._editDatapool.innerHTML = Constants_getMessage("labelTestDataLabel");
				this._datapoolValue.innerHTML = Constants_getMessage("labelUnassigned");
				if(this._associatedDatapool){
					this.showDatapoolUsage(this._associatedDatapool);
				}
				this._totalTimeLabel.innerHTML = Constants_getMessage("labelTotalRunTime")+colen;
				this._editWeight.innerHTML = Constants_getMessage("labelWeight")+colen;
				this._editBuild.innerHTML = Constants_getMessage("labelBuild");
				var buildRecord = this.result.buildRecord;
				this._buildValue.innerHTML = buildRecord ? (buildRecord.parentBuildDefName ? 
											buildRecord.parentBuildDefName +  " : " + buildRecord.name : 
														buildRecord.name) : 
												Constants_getMessage("labelUnassigned");
				this.buildUUID = buildRecord ? buildRecord.itemId : null; 
				this.buildId = buildRecord ? buildRecord.Id : null;
				if(this.editBuildEvent){
					this.disconnect(this.editBuildEvent);
					this.editBuildEvent = null;
				}
				if(this.clearBuildEvent){
					this.disconnect(this.clearBuildEvent);
					this.clearBuildEvent = null;
				}
				var editImg = document.createElement("img");
				editImg.src = CommonImageCache.EDIT;
				editImg.alt = Constants_getMessage("labelChangeAssociatedBuild");
				editImg.title = Constants_getMessage("labelChangeAssociatedBuild");
				this.editBuildEvent = this.connect(editImg, "onclick", "onBuildChangeClick");
				var clearImg = document.createElement("img");
				clearImg.src = CommonImageCache.CLEAR_FILTER_ENABLED;
				clearImg.alt = Constants_getMessage("labelClearAssociatedBuild");
				clearImg.title = Constants_getMessage("labelClearAssociatedBuild");
				if(this.result.buildRecord)
					this._buildLink.href = BuildUiUtil.getBuildRecordURI(this.result.buildRecord.id)
				else
					this._buildLink.href = "#";	 
				this.clearBuildEvent = this.connect(clearImg, "onclick", "onBuildClearClick");
				dojox.data.dom.removeChildren(this._changeBuildNode);
				this._changeBuildNode.appendChild(editImg);
				this._changeBuildNode.appendChild(clearImg);
			}
		},
		
		onBuildChangeClick: function(){
			 var dialogArgs = {
		            okCallback: dojo.hitch(this, "_buildSelected"),
		            cancelCallback: dojo.hitch(this, "_cancelled"),
					isClosable: true
		        };
			this.buildRecordTableView = new BuildList({consoleNode: false, rowCheckable: true, singleSelectable: false});
			var buildSelectionDialog = new SelectionDialog(dialogArgs);
			buildSelectionDialog.contentContainer.appendChild(this.buildRecordTableView.domNode);
			buildSelectionDialog.setWidth("80%");
	        buildSelectionDialog.setHeight("80%");
			buildSelectionDialog.setSecondaryTitle(Constants_getMessage("labelAvailableBuilds"));
			buildSelectionDialog.getOkButton().disabled = false;
			buildSelectionDialog.open();
		},
		
		_buildSelected: function(){
			var items = this.buildRecordTableView.getSelectedBuildRecord();
			if(items && items.length == 1){
				var buildRecord = items[0];
				if(items[0].buildRecord)
					buildRecord = items[0].buildRecord;
				if (this.editable) {
					this.build2.innerHTML = buildRecord.parentBuildDefName ? buildRecord.parentBuildDefName + " : " + buildRecord.name : buildRecord.name;
				}else {
					this._buildValue.innerHTML = buildRecord.parentBuildDefName ? buildRecord.parentBuildDefName + " : " + buildRecord.name : buildRecord.name;
				}
				this.buildUUID = buildRecord.itemId;
				this.buildId = buildRecord.id;
				this._buildLink.href = BuildUiUtil.getBuildRecordURI(buildRecord.id)
				this._setDirty(true);
				this._buildEdited = true;
			}
		},
		
		_cancelled: function(){
		},
		
		onBuildClearClick: function(){
			if(this.editable){
				this.build2.innerHTML = Constants_getMessage("labelUnassigned");
			}else{
				this._buildValue.innerHTML = Constants_getMessage("labelUnassigned");	
			}
			this.buildUUID = null;
			this.buildId = null;
			this._buildLink.href = "#";
			this._setDirty(true);
			this._buildEdited = true;
		},

		showDatapoolUsage: function(datapool){
			this._associatedDatapool = datapool;
			this._datapoolValue.innerHTML = datapool.name;
			this._datapoolLink.href = PlanningUtility.getViewDatapoolURI(datapool.itemId);
			this._updatedDPUsage = true;
		},
		
		isDatapoolValueUpdated: function(){
			return this._updatedDPUsage;
		},
		
		_fillDetails: function(){
			this._initTypeSpecificSection();
			this._fillLabels(false);
			dojo.style(this._detailsTable, "display", "inline");
			dojo.style(this._editableTable, "display", "none");
			dojox.data.dom.removeChildren(this.phase4);
			dojox.data.dom.removeChildren(this.testCase4);
			var result = this.result;
			var ewi = this.ewi;
			this._verdict =  result.state.name;
			
			var image = this._getImage(Utility.getImageForState(result.state));
			image.id = this.IMG_ID;
			dojox.data.dom.removeChildren(this._verdictImage);
			this._verdictImage.appendChild(image);
			if(ewi){
				this._tcLink.href = Utility.getTestCaseURI(ewi.testCase.id)
				this._executeTestCaseValue.innerHTML = ewi.testCase.name;
				this._weight.innerHTML = result.weight ? result.weight : (ewi ? ewi.weight:0);
				this._phaseValue.innerHTML = result.phaseName ? result.phaseName: (ewi.phase ? ewi.phase.name : "");
				this._planValue.innerHTML = ewi.testPlan ? ewi.testPlan.name : "";
				if(ewi.testPlan && ewi.testPlan.id)
					this._tpLink.href = Utility.getTestPlanURI({id:ewi.testPlan.id});
			}	
			else
				this._executeTestCaseValue.innerHTML = "";	
			this._TestScriptValue.innerHTML = result.script? result.script.name:"";
			
			if (result.script && result.script.snapshotInfo) {
				this._tsLink.href = Utility.getTestScriptURI(result.script.versionableItemId, null, 
							result.script.snapshotInfo.revision, result.script.snapshotInfo.name);
			} else {	
				this._tsLink.href = result.script ? Utility.getTestScriptURI(result.script.id, Utility.CONSTRUCTION_PERSPECTIVE) : "";
			}
			this._setVerdictValue();
			if(!this._isPermitted()){ //Check for permissions before showing the combo
                dojo.style(this._verdictValue, "display", "inline");
                dojo.style(this.verdictValueCombo, "display", "none");
			}
			this._owner.innerHTML = result.owner ? result.owner.name : "";
			this._startTimeValue.innerHTML = Utility._convertLongToDate(result.startTime);
			if(result.endTime>0)
				this._stopTimeValue.innerHTML = Utility._convertLongToDate(result.endTime);
			else
				this._stopTimeValue.innerHTML = Constants_getMessage("labelNA");
			var hostNameLabel = document.createElement('label');
			
			hostNameLabel.innerHTML = result.machine;
			dojox.data.dom.removeChildren(this._hostNameDiv);
			if(result.machineItemId){
				var anchorTag = document.createElement('a');
				anchorTag.className = "link";
				anchorTag.href = AssetUriUtil.getViewAssetDetailURI( "Machine", result.machineItemId);
				hostNameLabel.className = "value-label link";
				anchorTag.appendChild(hostNameLabel);
				this._hostNameDiv.appendChild(anchorTag);
			}else{
				hostNameLabel.className = "value-label";
				this._hostNameDiv.appendChild(hostNameLabel);
			}
				
			if(result.endTime && result.startTime){
				var duration = result.endTime - result.startTime;
				var testDuration = this._getTimeDifferenceInHrMinSec(duration);
				this._totalTimeValue.innerHTML = testDuration;
			}
			if(this.testScript){
				//show the notes section only when there is a test script
				dojox.data.dom.removeChildren(this._notesContainer);
				this.notesContainer = new RichTextControl({
						parentEditor:this,
						inEditMode: false,
						save: dojo.hitch(this, function(){
							var editor = this.parentEditor;
							if(dojo.isFunction(editor.onSave)){
								editor.onSave();
							}
						})
				});
				var notesparams ={
					title: Constants_getMessage("labelNotes"),
					summary: this.notesContainer.domNode,
					helpContextId: "rqm_execution_notes_help.html"
				}
				var notesSection = this._createCollapsibleSection(notesparams);
				this._notesContainer.appendChild(notesSection.domNode);
				var content = result && result.content ? result.content :"";
				this.notesContainer.setContentHTML(content);
				this.connect(this.notesContainer, "onChange","_setDirty");
				this.notesContainer.show();
			}
		},
		
		_setVerdictValue:function(){
			this._verdictValue.innerHTML = this.result ? this.result.state.name : "";
			dojo.style(this._verdictValue,"display","none");
		},
		_createCollapsibleSection: function(args){
			var expando = new com.ibm.asq.common.web.ui.internal.view.common.CollapsibleSection({open: true, collapsible: false});
	        expando.domNode.name = "first-section";
	        expando.setTitle(args.title ? Constants.getExtensionDisplayMessage(args.title) : "");
	        expando.infoNode.innerHTML = args.info ? Constants.getExtensionDisplayMessage(args.info) : "" ;
			if(args.summary)
                expando.containerNode.appendChild(args.summary);
			else
				expando.summaryNode.innerHTML = "";
	        if(args.headerRight)
				expando.headerRightNode.appendChild(args.headerRight);
			else
				expando.headerRightNode.innerHTML = "";
			expando.containerHeaderNode.innerHTML = "";
			expando.setCSHelpId(args.helpContextId);
			expando.setCSHelpButtonLabel(Constants_getMessage("labelCSHelp"), args.title ? Constants.getExtensionDisplayMessage(args.title) : "");
			expando.headerCollapsNode.style.display = "none";
		   	return expando;
		},
		
		_makeViewEditable: function(){
			this._fillLabels(true);
			this._makeEditableSection();
			this._initTypeSpecificSection();
		},
		
		_makeEditableSection: function(){
			dojo.style(this._detailsTable, "display", "none");
			//Verdict Row
			var image = this._getImage(ImageCache.PASS_ICON);
			if(this.verdicts)
				image = this._getImage(Utility.getImageForState(this.verdicts[0].id));
			image.id = this.IMG_ID;
			dojox.data.dom.removeChildren(this.verdict1);
			this.verdict1.appendChild(image);
			//Owner
			this.owner2.appendChild(this._getLabel( getAuthenticatedContributor().name));
			this.plan2.appendChild(this._getLabel( this.ewi.testPlan ? this.ewi.testPlan.name : ""));
			//Phase and StartTime
			dojox.data.dom.removeChildren(this.phase2);
			var name = this.ewi.phase? this.ewi.phase.name : Constants_getMessage("labelNotFound");
			this.phase2.appendChild(this._getCombo({id: this.PHASE_ID, options: [{name: name, id: name} ]}));
			var startDate = new Date();
			var elbSelf = this;
			var dateNode = document.createElement('div');
			this.startTimeNode = new dijit.form._DateTimeTextBox({
				onChange: elbSelf._updateTotalRunTime ,
				callback: elbSelf,
				_selector:"datetime",
				popupClass: "ExecutionLogBody._TimePicker"
			});
			this.startTimeNode._setValueAttr(startDate);
			dojo.removeClass(this.startTimeNode,"dijitTimeTextBox");
			dojox.data.dom.removeChildren(this.phase4);
			this.phase4.appendChild(this.startTimeNode.domNode);
			//Test Case and EndTime
			dojox.data.dom.removeChildren(this.testCase2);
			this.testCase2.appendChild(this._getCombo({id: this.TESTCASE_ID, options: [{name: this.ewi.testCase.name, id: this.ewi.testCase.versionableItemId} ]}));
			var endDate = startDate;
			this.endTimeNode = new dijit.form._DateTimeTextBox({
				onChange: elbSelf._updateTotalRunTime,
				callback: elbSelf,
				_selector:"datetime",
				popupClass: "ExecutionLogBody._TimePicker"
			});
			this.endTimeNode._setValueAttr(startDate);
			dojo.removeClass(this.endTimeNode,"dijitTimeTextBox");
			dojox.data.dom.removeChildren(this.testCase4);
			this.testCase4.appendChild(this.endTimeNode.domNode);
			//Test Script and Total time
			dojox.data.dom.removeChildren(this.testScript2);
			this.testScript2.appendChild(this._getCombo({id: this.TESTSCRIPT_ID, options: [{name: Constants_getMessage("labelNoScriptsFound"), id: "No Script"} ]}));
			var div  =document.createElement('div');
			div.id = this.TOTALTIME_ID;
			dojox.data.dom.removeChildren(this.testScript4);
			this.testScript4.appendChild(div);
			//Weight
			dojox.data.dom.removeChildren(this.weight2);
			this.weight2.appendChild(this._getLabel( this.ewi.weight ? this.ewi.weight : 0, " "));
		},
		
		_handleHostChange: function(){
		},
		_fixYear:function(value){
			// need this method since passing a two-digit year gets converted to 1900+year by Date constructor
			var yr = value.getFullYear();
			if(yr<1950)
				yr = yr+100;
			value.setFullYear(yr);
			return value;
		},
		_updateTotalRunTime: function(){
			var callback = this.callback;
			if(callback && callback.endTimeNode){	
				var enteredStartTime = callback.startTimeNode._getValueAttr() != "" ?callback.startTimeNode._getValueAttr() : 0;
				var enteredEndTime = callback.endTimeNode._getValueAttr() != "" ? callback.endTimeNode._getValueAttr() : 0;
				var st = new Date(enteredStartTime);
				var et = new Date(enteredEndTime);
				st = enteredStartTime ===0?st:callback._fixYear(st);
				et = enteredEndTime ===0?et:callback._fixYear(et);				
				var startTime = 0;var endTime = 0;
				var testDuration = "";
				if(!st.isNaN && !et.isNaN){
					startTime = Utility._convertDateToLong(st);
					endTime = Utility._convertDateToLong(et);
					var duration = endTime - startTime;
					if(duration <0 || startTime === 0){
						testDuration = Constants_getMessage("labelInvalidEntry");
						var rightNode = callback._header.getRightActionsContainer();
						var childNodes = rightNode.childNodes;
						var len  = childNodes.length;
						for(var i=0;i<len;i++){
							childNodes[i].disabled = true;
						}
						var rightBottomNode = callback._header.getRightActionsBottomContainer();
						var childBottomNodes = rightBottomNode ? rightBottomNode.childNodes : [];
						var len2  =  childBottomNodes.length;
						for(var i=0;i<len2;i++){
							childBottomNodes[i].disabled = true;
						}
					}	
					else{
						var rightNode = callback._header.getRightActionsContainer();
						var childNodes = rightNode.childNodes;
						var len  = childNodes.length;
						for(var i=0;i<len;i++){
							childNodes[i].disabled = false;
						}
						var rightBottomNode = callback._header.getRightActionsBottomContainer();
						var childBottomNodes = rightBottomNode ? rightBottomNode.childNodes : [];
						var len2  =  childBottomNodes.length;
						for(var i=0;i<len2;i++){
							childBottomNodes[i].disabled = false;
						}
						testDuration = callback._getTimeDifferenceInHrMinSec(duration);
					}	
				}else{
					testDuration = Constants_getMessage("labelNumberMin", 0);
				}
				var element = callback.testScript4;
				element.innerHTML = testDuration;
			}
		},
		
		_getTimeDifferenceInHrMinSec: function(duration){
			return Utility.getTimeDifferenceInHrMinSec(duration);
		},

		_getLabel: function(name, style){
			var label = document.createElement('label');
			label.className = style ? style : "name-label";
			label.innerHTML = name;
			return label;
		},
		
		_getCombo: function(args){
			var options = args.options;
			var combo = document.createElement('select');
			combo.style.width = '100%';
			combo.id = args.id;
			for(var i=0 ; i<options.length ; i++){
				var option = new Option(options[i].name, options[i].id ? options[i].id : options[i].name);
				if (options[i].disabled) {
					option.disabled = options[i].disabled;
				}
				SelectUtility.add( combo, option );
			}
			return combo;
		},
		
		_getImage: function(src){
			var img = document.createElement('img');
			img.src = src ? src : "";
			return img;
		},
		
		_updateVerdictIcon: function(){
			var selection = "";
			var combo = document.getElementById(this.VERDICT_ID);
			for(var i=0;i<combo.options.length; i++){
				if(combo.options[i].selected){
					selection = combo.options[i].value;
					this._verdictValue.innerHTML = combo.options[i].text;
				}	 
			}
            document.getElementById(this.IMG_ID).src = Utility.getImageForState(selection);		
			this.changedVerdict = selection;
			this._setDirty(true);
		},
		
	  /////////////////////////////////////////////////////////////////////////////////////////////////////
      //                                   PLUGGABLE SECTION SUPPORT                                   //
      ////////////////////////////////////////////////////////////////////////////////////////////////////      
      _initTypeSpecificSection: function() {
         if (!this._sectionConfig) {
            this._sectionConfig = this._editorRegistry.getEditor(this);  
         }
		 try{//Quick fix TODO: Check where RTE is throwing error on removal
		 	ASQUtility.destroyWidgetsFromNode(this._typeSpecificSection);
		}catch(e){
			console.debug("Erorr while destroying node");
		}	
         dojox.data.dom.removeChildren(this._typeSpecificSection);
         this._typeSpecificSectionWidget = this._getTypeSpecificSectionWidget();
		 if(this._typeSpecificSectionWidget == null)
		 {
		 	this._typeSpecificSectionTitle.innerHTML = "";//Dont make isDefault=true for any type of script
		 	return;
		 }
		 var helpId = "";
		 if(dojo.isFunction(this._typeSpecificSectionWidget.getHelpContextID))
		 	helpId = this._typeSpecificSectionWidget.getHelpContextID();
			
		 /* Make section collapsible */
			var params ={
				title: Constants_getMessage("labelResultDetails"),
				info: this._typeSpecificSectionConfig.name,
				summary: this._typeSpecificSectionWidget.domNode,
				helpContextId: helpId
			}
			if(this.ewi){
				var anchor = document.createElement("A");
				anchor.href = Utility.getEWIResultsURI(this.ewi.itemId);
				anchor.appendChild(document.createTextNode(Constants_getMessage("labelLinkResult")));
				anchor.className = "link";
				params.headerRight = anchor;
			}
			var section = this._createCollapsibleSection(params);
			this._typeSpecificSection.appendChild(section.domNode);  
      
			this._typeSpecificSectionWidget.initialize(); 
      },
      
      _getTypeSpecificSectionWidget: function() {
         var scriptType =  this.testScript ? this.testScript.scriptType : {id:"com.ibm.rqm.planning.common.scripttype.noscript"};
         this._typeSpecificSectionConfig = this._getTypeSectionConfig(scriptType);
         console.info("Dynamic Widget loading...ScriptType: [" + scriptType.id + "]; Widget Id: [" + this._typeSpecificSectionConfig.jsClass + "]");
         jazz.core.loader.load_sync(this._typeSpecificSectionConfig.jsClass);
         var sectionConstructor = dojo.getObject(this._typeSpecificSectionConfig.jsClass);
         var weight = this.ewi ? ( this.ewi.weight ? this.ewi.weight : 0): 0;
		 var widgetArgs = { parentController: this.parentController, 
							 parentEditor: this,
							 result: this.result,
							 weight: weight,
							 config: this._typeSpecificSectionConfig
						};
		 					
         var contributedWidget = new sectionConstructor(widgetArgs);     
         return contributedWidget;
      },
      
      _getTypeSectionConfig: function(scriptType) {
         var found = null;
         var isDefault = false;
         var sections = this._sectionConfig.sections;
		 var len = sections.length;
         for (var i = 0; i < len; i++) {
            var section = sections[i];
			var properties = section && dojo.isArray(section.properties) ? section.properties : [];
			var len2 = properties.length;
            for (var j = 0; j < len2; j++) {
               var attribute = properties[j];
               if (attribute.id == "com.ibm.rqm.planning.common.executionScriptType" && attribute.value == scriptType.id) {
                  return section;
               } else if (attribute.id == "default" && attribute.value == "true") {
                  found = section;
                  isDefault = true;
               }
            }
         }
         if (found != null && isDefault) {
            console.info("No widget found for ScriptType: [" + scriptType.id + "]; Using default Section: [" + found.id + "]");
         }
         return found;          
      },
	  getArtifactSection:function(){
	  	return null;
	  },
	  getArtifactType:function(){
	  	 return Constants.TYPE_EXE_LOG+"_details";
	  },

		///////////////////////////////////////////////////////////////////
	
		_setResultStates: function(verdicts){	
			this.verdicts = [];
			var len = verdicts.length;
			var resultStateId = this.result ? this.result.state.id : null;
			for(var i=0;i<len; i++) {
				if (verdicts[i].visible == true) {
					this.verdicts.push({name: verdicts[i].name, id: verdicts[i].id});
				} else if (verdicts[i].id == resultStateId) {
					this.verdicts.push({name: verdicts[i].name, id: verdicts[i].id, disabled: true});
				}
			}
			var combo = this._getCombo({id: this.VERDICT_ID, options: this.verdicts});
			if(this.editable) {
				if (this.verdict2.childNodes)
					dojox.data.dom.removeChildren(this.verdict2);
				this.verdict2.appendChild(combo);			
			} else {
				var len2 = combo.options.length;
				for(var i=0;i<len2; i++){
					if(this._verdictValue.innerHTML == combo.options[i].text)
						combo.options[i].selected = "selected";
				}
				if(this.verdictValueCombo.childNodes)
					dojox.data.dom.removeChildren(this.verdictValueCombo);
				this.verdictValueCombo.appendChild(combo);
			}
			dojo.addClass(combo, "verdict-value")
			this.connect(combo, "onchange", this._updateVerdictIcon);
            
            this._header.setProgressEnd();
		},

		onCancel: function(){
			var self = this;
			var args = {
				title: Constants_getMessage("labelConfirmation"),
				message: Constants_getMessage("msgConfirmCancel"),
				yesCallback: function(){
					if(self._header)
						self._header.clearStatus();
					self._setEWI();
					return true;          
				},
				noCallback: function() {
					return false;
				}
			}
			var dialog = new YesNoDialog(args);
	        dialog.setSecondaryTitle(args.title);
	        dialog.open();
		},
		
		onSave: function(){	
			if(this.editable){
				var hN = document.getElementById("hiddenBox");
				var hostName = hN.value;
				var enteredStartTime = this.startTimeNode._getValueAttr() != "" ? this.startTimeNode._getValueAttr() : 0;
				var enteredEndTime = this.endTimeNode._getValueAttr() != "" ? this.endTimeNode._getValueAttr() : 0;
				var st = new Date(enteredStartTime);
				var et = new Date(enteredEndTime);
				var startTime = 0;
				if(!st.isNaN)
					startTime = Utility._convertDateToLong(st);
				var endTime = 0;
				if(!et.isNaN)	
					endTime = Utility._convertDateToLong(et);
					
				var params = {
					ewiItemId: this.ewi.itemId,
					ewiStateId:this.ewi.stateId,
					newExecutionResult: true,
					state: this._getSelectedValue(this.VERDICT_ID),
					machine: hostName,
					startTime: startTime,
					endTime: endTime,
					owner:  getAuthenticatedContributor().userId,
					phase: this._getSelectedValue(this.PHASE_ID),
					testCase: this._getSelectedValue(this.TESTCASE_ID)
				}
			}else if(this.changedVerdict){
				var result = this.result;
				var params = {
					workItemID: result.itemId,
					resultStateId:result.stateId,
					state: this.changedVerdict,
					startTime:result.startTime,
					endTime:result.endTime
				};
				if(this.ewi.currentResult && (result.itemId == this.ewi.currentResult.itemId))
					params["ewiItemId"] = this.ewi.itemId;//Update the EWI as well	
			}else{
				var params = {
					workItemID: this.result.itemId,
					resultStateId:this.result.stateId,
					state:  this._getSelectedValue(this.VERDICT_ID)       
				};
			}
			var points = this.pointsContainer.getPoints();
			if(!points)
				return;
			else{
               for (var element in points) 
                  params[element] = points[element];
			}
			if(!this._validate(params))
				return;
			if(this._typeSpecificSectionWidget && dojo.isFunction(this._typeSpecificSectionWidget.getAttributes)){
				var abc = this._typeSpecificSectionWidget.getAttributes();
				var addAttachmentItemIds = [];
				if(abc){
					if (abc.content) {
						params.content = dojo.trim(abc.content);
						params.contentType = abc.contentType;
					}
					var attachments = abc.attachments;
					var len = attachments.length;
					for(var i=0;i<len;i++)
						addAttachmentItemIds.push(attachments[i].uuid);
					params.addAttachmentItemIds = addAttachmentItemIds;
				}
			}
			if(this.notesContainer){
				params.content = this.notesContainer.getContentXHTML();
				params.contentType = "application/xhtml+xml";
			}
			if(this._typeSpecificSectionWidget && this._typeSpecificSectionWidget.isLogDirty){
				if(this._typeSpecificSectionWidget.isLogDirty()){
					params = dojo.mixin(params,this._typeSpecificSectionWidget.getMixInArgs())
				}
			}
			
			params.defectIds = this.defectIdList;
			params.removeDefectIds = this.removedDefectIdList;
			if (this._buildEdited){
				if(!this.buildUUID && !this.buildId)				
					params.removeBuildLink = true;
				else
				{
					params.buildRecordItemId = this.buildUUID;
					params.buildId = this.buildId;
				}
			}
			this._setDirty(false);
			this.setLastSaved(Constants.STATUS_SAVING);
			var responseHandler = new ServiceResponseHandler(this, "_saveComplete", "_saveError");			
	    	ExecutionResultClient.postExecutionResultDTO(responseHandler, params);
			this.isExtSaved = true;
		},
		
		_validate:function(params){
			var blocking = false;
			var defectList = this.defectList;
			var len = defectList.length;
			for(var k=0;k<len;k++){
				if(defectList[k].isBlocking == true){
						blocking = true;
						break;
					}
			}
			dojo.forEach(this.extERRelatedDefects.toArray(), function(defect){
					if(defect.isBlocking == true){
						blocking = true;
					}
			});
			var state = null;
			if(!params || !params.state){
				state = this._getSelectedValue(this.VERDICT_ID);
			}else
				state = params.state;
			//If isBlocking defect and the verdict is set to passed, bring up a confirmatoin dialog
			//inform user that proceeding will make the blocked defects non blocking.
			
			if(blocking && state == ExecutionResultStates.PASSED){
				var verdicts = this.verdicts;
				var verdictLength = verdicts.length;
				var verdictName = "";
				for(var i=0;i<verdictLength;i++){
					if(verdicts[i].id == ExecutionResultStates.PASSED){
						verdictName = verdicts[i].name; //Name can be customized using ADMIN properties so fetch it
						break; 
					}
				}
				
				var args = {
		            'message': Constants_getMessage("msgVerdictChangedWithBlockedDefect", verdictName),
		            'yesCallback': dojo.hitch(this, this._unblockAllDefects),
		            'yesCallbackData': this,
		            'noCallback': null,
		            'noCallbackData': null
		        };
		        var confirmDialog = new YesNoDialog(args);
		        confirmDialog.setSecondaryTitle(Constants_getMessage("labelConfirmation"));
		        confirmDialog.open();
                var detailError = Constants_getMessage("msgCannotChangeStateWithBlockedDefects", verdictName);
				this._header.setStatus(detailError, Constants.HEADER_STATUS_ERROR, detailError);
				return false;
			}
			
			if(blocking && params.pointsBlocked == 0){
                var detailError = Constants_getMessage("msgBlockedWeightZero");
				this._header.setStatus(detailError, Constants.HEADER_STATUS_ERROR, detailError);
				return false;
			}
			return true;
		},
		
		_unblockAllDefects: function(){
			var defectsCurrentList = this.defectTable.getContent();
			var len = defectsCurrentList.length;
			var modDefects = [];
			//Search all defects to check blocking status, put them in new bucket
			for(var i=0;i<len;i++){
				if(defectsCurrentList[i].isBlocking){
					modDefects.push(defectsCurrentList[i]);
				}
			}
			ChangeRequestManager.getInstance().getCurrentServiceProvider(dojo.hitch(this, function(currentProvider){
				if (currentProvider != null) {
					this._updateExtDefectStatus(modDefects);
				}else {
					var defectsLength = modDefects.length;
					for (var i = 0; i < defectsLength; i++) {
						this._updateDefectStatus(modDefects[i].id, false/*blocking status*/);
					}
				}
				setTimeout(dojo.hitch(this, "onSave"), 10);//Yeild this after items are updated.
			}));
		},
		
		_saveComplete: function(resultObj){
            var artifactUri;
			this.changedVerdict = null;
			this._buildEdited = false;
			if (!this.editable) {
				this._setTestScript(resultObj);
				dojo.publish(GlobalEvents.ArtifactsUpdated, [ Constants.TYPE_EXE_LOG, [ resultObj ], artifactUri ]);
			}
			else {
				this.editable = false;
				this._setTestScript(resultObj);
				artifactUri = Utility.getResultURI({ewiId: this.ewi.id, resultItemId: resultObj.itemId})
				dojo.publish(GlobalEvents.UpdateTabUri, [window.location.hash, artifactUri]);
				dojo.publish(GlobalEvents.ArtifactsAdded, [Constants.TYPE_EXE_LOG, [resultObj], artifactUri]);
//				//Enable Action buttons after saving	
//				ChangeRequestManager.getInstance().getServiceProviders(dojo.hitch(this, function(providers){
//	                if(providers != null && providers.length > 0 && this.defectTable){
//						this.defectTable = null;
//						this.createDefectTable();
//						this.defectTable.enableActions();
//					}
//	            }));
			}
            if (this.isNew)
                this.isNew = false;
			if(this._typeSpecificSectionWidget && this._typeSpecificSectionWidget.setLogDirty){
				this._typeSpecificSectionWidget.setLogDirty(false);
			}
			//need updated EWI stateID
			if(this.blockedDefectIds.length >0 || this.removedBlockedDefectIds.length >0){
				var responseHandler = new EWIMapper(this, "_updateBlockedDefects", "_saveError");			
				ExecutionWorkItemClient.getExecutionWorkItemSummaryDTOs(responseHandler, {id: this.ewi.id, includeArchived: true});
			}else{
				this._setDirty(false);
				this.setLastSaved(Constants.STATUS_SUCCESS);
			}
			var extAddedERRelatedDefects = this.extAddedERRelatedDefects.toArray();
			var extRemovedERRelatedDefects = this.extRemovedERRelatedDefects.toArray();
			var extBlockingChangedDefects = this.extBlockingChangedDefects.toArray();
			if (extAddedERRelatedDefects.length > 0 || extRemovedERRelatedDefects.length > 0 || extBlockingChangedDefects.length > 0) {
				ChangeRequestManager.getInstance().getCurrentServiceProvider(dojo.hitch(this, function(currentProvider){
					if (currentProvider != null) {
						this._associateDefect();
					}
				}));
			}
		},
		
		_associateDefect: function(){
			var extAddedERRelatedDefects = this.extAddedERRelatedDefects.toArray();
			if (extAddedERRelatedDefects.length > 0) {
				var i = 0;
				var associateDefect = dojo.hitch(this, function(monitor, currentProvider){
					var workItem = extAddedERRelatedDefects[i];
					
                    var linkDescription = {};
					linkDescription.url = workItem.defectItemUri;
                    linkDescription.linkComment = Constants_getMessage("labelRelatedER", this.result.name);
                    linkDescription.rqmUrl = this._getExecutionResultUri();
                    linkDescription.linkType = ChangeRequestManager.LINK_TYPE_AFFECT_ER;
                    
                    currentProvider.postLink(linkDescription, dojo.hitch(this, function(status, response){
                        console.debug("posting remote links succeed");
                        this.extAddedERRelatedDefects.remove(extAddedERRelatedDefects[i]);
						this.extERRelatedDefects.add(extAddedERRelatedDefects[i]);
						if (i < extAddedERRelatedDefects.length - 1) {
							i++;
							associateDefect(monitor, currentProvider);
						}
						else {
							this._postLinkToExecutionResults(extAddedERRelatedDefects, monitor);
						}
                    }));
				});
				ProgressDialog.doRunWithProgress(Constants_getMessage("labelAssociateDefect"), dojo.hitch(this, function(monitor){
					ChangeRequestManager.getInstance().getCurrentServiceProvider(dojo.hitch(this, function(currentProvider){
                        if(currentProvider != null){
							associateDefect(monitor, currentProvider);
						}
                    }));
				}));
			} else {
				this._unassociateDefect();
			}
		},
		
		_postLinkToExecutionResults: function(workItems, monitor){
			var i = 0;
			if (workItems.length > 0) {
				//Post local link to TER
				var i = 0;
				var postLinkToExecutionResult = dojo.hitch(this, function(monitor){
					if (i == workItems.length) {
						monitor.done();
						this._unassociateDefect();
						return;
					}else{
						var linkParams = {
							itemId: this.result.itemId, 
							cmUri: workItems[i].defectItemUri,
							summary: workItems[i].summary,
							linkType: CmIntegrationClient.RESULT_RELATEDTO_DEFECT
						};
						CmIntegrationClient.postNewLink(linkParams, dojo.hitch(this, function(status){
							i++;
							postLinkToExecutionResult(monitor);
		                }));
					}
				});
				postLinkToExecutionResult(monitor);
			} else {
				this._unassociateDefect();
			}
		},
		
		_unassociateDefect: function(){
			var extRemovedERRelatedDefects = this.extRemovedERRelatedDefects.toArray();
			var i = 0;
			if(this.result.itemId && extRemovedERRelatedDefects.length) { 
				var unassociateDefect = dojo.hitch(this, function(monitor, currentProvider){
					var workItem = extRemovedERRelatedDefects[i];
					
                    var linkDescription = {};
					linkDescription.url = workItem.defectItemUri;
                    linkDescription.linkComment = Constants_getMessage("labelRelatedER", this.result.name);
                    linkDescription.rqmUrl = this._getExecutionResultUri();
                    linkDescription.linkType = ChangeRequestManager.LINK_TYPE_AFFECT_ER;
                    
                    currentProvider.deleteLink(linkDescription, dojo.hitch(this, function(status, response){
                        if (status.isOK()) {
                            console.debug("posting remote links succeed");
							if (i < extRemovedERRelatedDefects.length - 1) {
								i++;
								unassociateDefect(monitor, currentProvider);
							}
							else {
								this._deleteLinkToExecutionResults(monitor);
							}
                        }
                        else {
                            console.debug("posting remote links error");
                        }
                    }));
				});
				ProgressDialog.doRunWithProgress(Constants_getMessage("labelUnassociateDefect"), dojo.hitch(this, function(monitor){
					ChangeRequestManager.getInstance().getCurrentServiceProvider(dojo.hitch(this, function(currentProvider){
                        if(currentProvider != null){
							unassociateDefect(monitor, currentProvider);
						}
                    }));
				}));
			}else {
				this._changeBlockingStatus();
			}	
		},
		
		_deleteLinkToExecutionResults: function(monitor){
			var workItems = this.extRemovedERRelatedDefects.toArray();
			if(this.result.itemId && workItems.length) {	
				var defectURIArray = [];
				dojo.forEach(workItems, dojo.hitch(this, function(workItem) {
					if (workItem.defectItemUri)
						defectURIArray.push(workItem.defectItemUri);	
				}));
				var linkParams = {
					itemIdOrURI: this.result.itemId,
					defectURIArray: defectURIArray
				};
				CmIntegrationClient.postDeleteLink(linkParams, dojo.hitch(this, function(status){
					monitor.done();
					var extRemovedERRelatedDefects = this.extRemovedERRelatedDefects.toArray();
					dojo.forEach(extRemovedERRelatedDefects, dojo.hitch(this, function(workItem) {							
								this.extERRelatedDefects.remove(workItem);	
							}));
					this.extRemovedERRelatedDefects.clear();
					this._changeBlockingStatus();
                }));
			}else{
				this._changeBlockingStatus();
			}
		},
		
		_changeBlockingStatus: function(){
			var extBlockingChangedDefects = this.extBlockingChangedDefects.toArray();
			var i = 0;
			if(extBlockingChangedDefects.length > 0){
				var postParams = {
					defectURI: extBlockingChangedDefects[i].defectItemUri,
					resultItemId: this.result.itemId,
					isBlocked: extBlockingChangedDefects[i].isBlocking
				};
				var changeBlockingDefect = dojo.hitch(this, function(monitor){
		            CmIntegrationClient.postBlockDefect(postParams, dojo.hitch(this, function(status){
		                if(status.isOK()){
							if (i < extBlockingChangedDefects.length - 1) {
								i++;
								changeBlockingDefect(monitor);
							}
							else {
								this._updateBlockingBackLink(monitor);
							}
						}
		            }));
				});
				ProgressDialog.doRunWithProgress(Constants_getMessage("labelChangeBlocking"), changeBlockingDefect);
			}
		},
		
		_updateBlockingBackLink: function(monitor){
			var extBlockingChangedDefects = this.extBlockingChangedDefects.toArray();
			var i = 0;
			if(extBlockingChangedDefects.length) { 
				var updateBlockingBackLink = dojo.hitch(this, function(monitor, currentProvider){
					var workItem = extBlockingChangedDefects[i];
					
                    var linkDescription = {};
					linkDescription.url = workItem.defectItemUri;
                    linkDescription.linkComment = (this.ewi.name && this.ewi.name != this.ewi.testCase.name) ? Constants_getMessage("labelFailingTestCaseWithEWI", this.ewi.testCase.name, this.ewi.name) : Constants_getMessage("labelFailingTestCaseWithoutEWI", this.ewi.testCase.name);
                    linkDescription.rqmUrl = this._getEwiUri(this.ewi);
		            linkDescription.linkType = ChangeRequestManager.LINK_TYPE_BLOCK_ER;
					
					if(workItem.isBlocking){
						currentProvider.postLink(linkDescription, dojo.hitch(this, function(status, response){
	                        if (status.isOK()) {
	                            console.debug("posting remote links succeed");
	                            this.extBlockingDefects.add(extBlockingChangedDefects[i]);
								this.extBlockingChangedDefects.remove(extBlockingChangedDefects[i]);
								if (i < extBlockingChangedDefects.length - 1) {
									i++;
									updateBlockingBackLink(monitor, currentProvider);
								}
								else {
									monitor.done();
								}
	                        }
	                        else {
	                            console.debug("posting remote links error");
	                            monitor.done();
	                        }
	                    }));
					}else{
						currentProvider.deleteLink(linkDescription, dojo.hitch(this, function(status, response){
	                        if (status.isOK()) {
	                            console.debug("posting remote links succeed");
								this.extBlockingChangedDefects.remove(extBlockingChangedDefects[i]);
								if (i < extBlockingChangedDefects.length - 1) {
									i++;
									updateBlockingBackLink(monitor, currentProvider);
								}
								else {
									monitor.done();
								}
	                        }
	                        else {
	                            console.debug("posting remote links error");
	                            monitor.done();
	                        }
	                    }));
					}
				});
				ChangeRequestManager.getInstance().getCurrentServiceProvider(dojo.hitch(this, function(currentProvider){
                    if(currentProvider != null){
						updateBlockingBackLink(monitor, currentProvider);
					}
                }));
			}
		},
		
		_getEwiUri: function(ewi) {
			var result= window.location.protocol + "//" + window.location.hostname + ":" + window.location.port;
			result+= window.location.pathname.match(/(.*)\/web\/console\/[^\/]*$/)[1];
			result+= "/resource/itemOid/com.ibm.rqm.execution.ExecutionWorkItem/" + ewi.itemId;
			return result;
		},
		
		_getExecutionResultUri:function(){
			var result= window.location.protocol + "//" + window.location.hostname + ":" + window.location.port;
			result+= window.location.pathname.match(/(.*)\/web\/console\/[^\/]*$/)[1];
			result+= "/resource/itemOid/com.ibm.rqm.execution.ExecutionResult/" + this.result.itemId;
			return result;
		},
		
		_saveError: function(status){
			if (status!=null && status.message!=null) {
				var re = /^\[(\d+)\]\s*:\s*/;
				status.message = status.message.replace(re, "");
			}
			 this.setLastSaved(Constants.STATUS_FAILURE, status);
		},
		_updateBlockedDefects:function(ewi){
			if(ewi && ewi.length > 0){
				ewi = ewi[0];
			}
			this.ewi.stateId = ewi.stateId;
			var elbSelf =this;
				var callbackObj ={
					success: function(ewi){
						elbSelf.ewi = ewi;
						elbSelf.createDefectTable();
						elbSelf._setDirty(false);
						elbSelf.blockedDefectIds=[];
						elbSelf.removedBlockedDefectIds=[];
						elbSelf.setLastSaved(Constants.STATUS_SUCCESS);
						dojo.publish(GlobalEvents.ArtifactsUpdated, [Constants.TYPE_EWI,[ewi]]);
				  	},
				  	failure: function(error){
				  		console.error("could not updateEWI with blocking defects")
				  	}
				}
				var args = {id: this.ewi.id, ewiStateId:this.ewi.stateId};
				if(this.blockedDefectIds.length >0)
					args.addDefectIds = this.blockedDefectIds;
				if(this.removedBlockedDefectIds.length >0)
					args.removeDefectIds = this.removedBlockedDefectIds;
				var responseHandler = new ServiceResponseHandler(callbackObj, "success", "failure");			
				ExecutionWorkItemClient.postExecutionWorkItemDTO(responseHandler, args);
		},
		_getSelectedValue: function(id){
			var combo = document.getElementById(id);
			var selectedIndex = combo.selectedIndex;
			var value = combo.options[selectedIndex].value;
			return value;
		},
		
		_isPermitted:function(){
            if(!this.er_type)
                this.er_type = PermissionsClient.OP_EXECUTION_RESULT;
            if(!this.er_perm)
                this.er_perm = PermissionsClient.getStoredPermission(this.er_type);
			if (this.er_perm && !this.er_perm.edit)
                return false;
			//Additional check since the ER can be cloned for snapshotting.
			//The only situation where the ER can be an archived ER and the ER is returned from the server
			//is that the TER was clonedForSnapshot and the ER is also clonedForSnapshot, see wi 21195, 21063
			if(this.result && this.result.archive){
				console.debug("Found an achived ER, restricting editing capabilities");
				this._isArchived = true;
				return false;
			}
            return true;

        },
        
        _updateHeader: function(title, scriptType) {
            if (this._header) {
                this._header.setTitle(title);
                this._header.setTypeLabel(Constants_getMessage("labelResultSuffix", scriptType));
            } else {
                this._createHeader(title, scriptType);
            }
        },
        
		_createHeader: function(title, scriptType) {
			if (this._header) {
                this._header.setTitle(title);
                this._header.setTypeLabel(Constants_getMessage("labelResultSuffix", scriptType));
                return this._header;
            }
            dojox.data.dom.removeChildren(this.header);
			var iconClass = "ewiresult-icon-48";
			var args = {
                title: title ? title : "",
                typeLabel: scriptType ? Constants_getMessage("labelResultSuffix", scriptType) : "",
                iconClass: iconClass,
				contextHelpId: "rqm_execution_results_overview.html",
                summary: "",
                isDisplayBottomButton: false
            }
            this._header = new ViewHeaderLayout(args);     
			this._header.setCSHelpButtonLabel(Constants_getMessage("labelExecutionResultCSHelp"));       
			this.cancelButton = this._header.addRightViewAction(Constants_getMessage("labelDiscardChanges"), dojo.hitch(this, "onCancel"), null, null);
			this.saveButton = this._header.addRightViewAction(Constants_getMessage("labelSave"), dojo.hitch(this, "onSave"), null, null);
            if(!this._isPermitted()){
                this.cancelButton.setDisabled(true);
				this.saveButton.setDisabled(true);
            }
			
            this.header.appendChild(this._header.domNode);
			return this._header;
        },
		
		// handler on artifacts changed
        onArtifactChanged: function(changeType, artifactType, artifactArray) {
			var len = artifactArray.length;
			var header = this._header;
			var ewi = this.ewi;
            if ((changeType == GlobalEvents.ArtifactsDeleted) && (artifactType == Constants.TYPE_EWI)) {
                for (var i = 0; i < len; i++) {
                    if (ewi && (ewi.id == artifactArray[i].id)) {
                        header.setStatus(Constants_getMessage("msgEWIOfERDeleted"), ViewHeaderLayout.ERROR);
                        return;
                    }
                }
            }
			if ((changeType == GlobalEvents.ArtifactsDeleted) && (artifactType == Constants.TYPE_SCRIPT)) {
				var testScript = this.testScript;
                for (var i = 0; i < len; i++) {
                    if (testScript && (testScript.id == artifactArray[i].id)) {
                        header.setStatus(Constants_getMessage("msgTestScriptOfERDeleted"), ViewHeaderLayout.ERROR);
                        return;
                    }
                }
            }
			if ((changeType == GlobalEvents.ArtifactsDeleted) && (artifactType == Constants.TYPE_CASE)) {
				var ewitestCase = this.ewitestCase;
                for (var i = 0; i < len; i++) {
                    if (ewi && (ewitestCase.id == artifactArray[i].id)) {
                        header.setStatus(Constants_getMessage("msgTestCaseOfERDeleted"), ViewHeaderLayout.ERROR);
                        return;
                    }
                }
            }
			if ((changeType == GlobalEvents.ArtifactsDeleted) && (artifactType == Constants.TYPE_EXE_LOG)) {
				var result = this.result;
                for (var i = 0; i < len; i++) {
                    if (result && (result.itemId == artifactArray[i].itemId)) {
                        header.setStatus(Constants_getMessage("msgERDeleted"), ViewHeaderLayout.ERROR);
						this._isArchived = true;
						this.saveButton.setDisabled(true);
						this.cancelButton.setDisabled(true);
                        return;
                    }
                }
            }
        },
		
        setLastSaved: function(status, error) {   
            var st_code = -1; // none, no status icon
            var text = "";
            var detail_msg = null;
                                 
            if ( status == Constants.STATUS_SUCCESS ) {
                st_code = ViewHeaderLayout.SUCCESS;
                text = Constants.getCommonMessage("statusSaveSuccess", EditorUtil.getTimeString());  
            } 
            else if ( status == Constants.STATUS_FAILURE ) {
                if(error && error.message && error.message.toLowerCase().indexOf('license') > -1) {
                    var licenseMsg = Constants.getCommonMessage("serverLicenseErrMsg");
                    EditorUtil.showServerErrorMessage(licenseMsg);
                }
                st_code = ViewHeaderLayout.ERROR;
                text = Constants.getCommonMessage("statusSaveFail", EditorUtil.getTimeString());  
                
                if(error && error.message) {
                    detail_msg = "<b>" + Constants.getCommonMessage("labelError") + "</b><br/>" + error.message;
                }
            } 
            else if ( status == Constants.STATUS_SAVING ) {
                st_code = ViewHeaderLayout.INFO;
                text = Constants.getCommonMessage("statusSaving");
            } 
            else if ( status == Constants.STATUS_NEW ) {
                st_code = ViewHeaderLayout.INFO;
                text = Constants.getCommonMessage("statusNewNeedSave");
            } 
            else if ( status == Constants.STATUS_DIRTY ) {
                st_code = ViewHeaderLayout.INFO;
                text = Constants.getCommonMessage("statusDirty");
            }
            if(st_code > -1)
               this._header.setStatus(text, st_code, detail_msg);
            else
                this._header.clearStatus();
        },
		
		_setDirty:function(dirty){
			if(!this._isArchived){
				if(dirty == null)
					dirty = true;
				if (dirty != this.dirty) {
					this.dirty = dirty;
					this.saveButton.setDisabled(!dirty);
					this.cancelButton.setDisabled(!dirty);
					dojo.publish(GlobalEvents.UpdateTabLabel, [window.location.hash, "", null, dirty]);
					if (dirty) 
						this.setLastSaved(Constants.STATUS_DIRTY);
				}
			}else{
				this.dirty = false;
				this.saveButton.setDisabled(true);
				this.cancelButton.setDisabled(true);
			}
		},
		
		isDirty:function(){
			return this.dirty;
		},
		_updateDefectStatus:function(defectId,blocking,dontUpdate){
			var removedBlockedDefectIds  = this.removedBlockedDefectIds;
			var len  = removedBlockedDefectIds.length;
			for(var i=0;i<len;i++){
				if(defectId == removedBlockedDefectIds[i]){
					this.removedBlockedDefectIds.splice(i,1);
					break;
				}
			}
			var blockedDefectIds = this.blockedDefectIds;
			var len2 = blockedDefectIds.length;
			for(var j=0;j<len2;j++){
				if(defectId == blockedDefectIds[j]){
					blockedDefectIds.splice(j,1);
					break;
				}
			}
			if(blocking)
				blockedDefectIds.push(defectId);				
			else
				removedBlockedDefectIds.push(defectId);
			if (!dontUpdate) {
				var defectList = this.defectList;
				var len3 = defectList.length;
				for (var k = 0; k < len3; k++) {
					if (defectList[k].id == defectId) {
						if (blocking) 
							defectList[k].isBlocking = true;
						else 
							defectList[k].isBlocking = false;
						break;
					}
				}
			}
			this.updateDefectSection();
			this._setDirty(true);
		},
		_updateExtDefectStatus:function(defects){
			dojo.forEach(defects, dojo.hitch(this, function(defect){
				defect.isBlocking = !defect.isBlocking;
				if (this._contains(this.extBlockingChangedDefects.toArray(), defect.uri || defect.url)) {
					this._remove(this.extBlockingChangedDefects, defect.uri || defect.url);
				};
				this.extBlockingChangedDefects.add(defect);
			}));
			console.debug(this.extBlockingChangedDefects.toArray())
			this.updateDefectSection();
			this._setDirty(true);
		},
		_appendInDefectList: function(data,type){
			if(data && data.length>0){
				this.setBlockingStatus(data, false);
				var len = data.length;
				for(var i=0;i<len;i++){
					var dat = data[i];
					var foundinDefectList = false;
					var defectList = this.defectList;
					var len2 = defectList.length;
					for(var k=0;k<len2;k++){
						if(defectList[k].id == dat.id){
							foundinDefectList = true;
							break;
						}
					}
					if(!foundinDefectList) {
						defectList.push(dat);
						this.defectIdList.push(dat.id);
						if (type == "new") {
							this._header.setStatus(Constants_getMessage("msgNewDefectAddedtoER", dat.id), 
								ViewHeaderLayout.INFO, Constants_getMessage("msgDefectCanBeViewed"));
						}
						else {
							this._header.setStatus(Constants_getMessage("msgDefectAddedtoER", dat.id), 
								ViewHeaderLayout.INFO, Constants_getMessage("msgDefectCanBeViewed"));
						}					
					}
				}
				this.updateDefectSection();
				this._setDirty(true);
			}
		},
		_removeDefects:function(defects){
			if(this._typeSpecificSectionWidget && this._typeSpecificSectionWidget.deleteDefect){
				this._typeSpecificSectionWidget.deleteDefect(defects);
			}else
				this._deleteDefects(defects);
		},
		_deleteDefects:function(defects){
			var len = defects?defects.length:0;
			if(len>0){
				var defectIdList = this.defectIdList;
				var removedDefectIdList = this.removedDefectIdList;
				var defectList = this.defectList;
				for(var j=0;j<len;j++){
					var defectId = defects[j].id;
					var len4 = defectList ? defectList.length:0;
					for(var m=0;m<len4;m++){
						if(defectList[m].id == defectId ){
							defectList.splice(m,1);
							break;
						}
					}
					var len2 = defectIdList? defectIdList.length:0;
					var len3 = removedDefectIdList.length
					for(var i=0;i<len2;i++){
						if(defectIdList[i] == defectId ){
							defectIdList.splice(i,1);
							var alreadyInRemoveList = false;
							for(var k=0;k<len3;k++){
								if(removedDefectIdList[k] == defectId){
									alreadyInRemoveList = true;
									break;
								}
							}
							if(!alreadyInRemoveList)
								removedDefectIdList.push(defectId);
							break;
						}
					}
					this._updateDefectStatus(defectId,false,true);
				}
				this.updateDefectSection();
				this._setDirty(true);
			}
		},
		_appendInExtDefectList:function(data,type){
			if(data && data.length>0){
				this.setExtBlockingStatus(data);
				var len = data.length;
				for(var i=0;i<len;i++){
					if(!this._contains(this.extERRelatedDefects.toArray(), data[i].uri)){
						this.extAddedERRelatedDefects.add(data[i]);
						this._setHeaderStatus(data[i].id, type);
					}
					if(this._contains(this.extRemovedERRelatedDefects.toArray(), data[i].uri)){
						this._remove(this.extRemovedERRelatedDefects, data[i].uri);
					}
				}
				this.updateDefectSection();
				if (this.extAddedERRelatedDefects.toArray().length > 0) {
					this._setDirty(true);
				}
			}
		},
		
		// Added to FIX 27367 - ArrayList collection uses object literal for the comparison. 
		_contains: function(items, targetUri) {
			var isContained = false;
			dojo.forEach(items, function(item) {
				var itemUri = item.uri || item.url;
				if (itemUri == targetUri) {
					isContained = true;
				}
			});
			return isContained;
		},
		
		_remove: function(itemArrayList, targetUri) {
			dojo.forEach(itemArrayList.toArray(), function(item) {
				var itemUri = item.uri || item.url;
				if (itemUri == targetUri) {
					itemArrayList.remove(item);
				}
			});
		},
		
		_setHeaderStatus: function(item,type){
			if (type == "new") {
				this._header.setStatus(Constants_getMessage("msgNewDefectAddedtoER", item), 
					ViewHeaderLayout.INFO, Constants_getMessage("msgDefectCanBeViewed"));
			}
			else {
				this._header.setStatus(Constants_getMessage("msgDefectAddedtoER", item), 
					ViewHeaderLayout.INFO, Constants_getMessage("msgDefectCanBeViewed"));
			}	
		},
		_getSortedDefectList:function(result)
        {
			this.defectList = [];
			this.defectIdList = [];
			if (result.defects) {
				var len = result.defects.length;
				for (var i = 0; i < len; i++) {
					if(result.defects[i].workItem){
						var defect = result.defects[i].workItem;
						var defectId = "";
						var defectStatus = Constants_getMessage("labelUnknown");
						var defectStatusId = 1;
						var defectSummary = "";
						if(defect.attributes){
							var len2 = defect.attributes.length;
							for (var j = 0; j < len2; j++) {
								var attr = defect.attributes[j]; 
								switch (attr.key) {
									case "id":
										defectId = attr.value.id;
										break;
									case "summary":
										defectSummary = attr.value.content;
										break;
									case "internalState":
										defectStatus = attr.value.label;
										defectStatusId = attr.value.id;
										break;
								}
							}
							this.defectList.push({id: defectId,status: defectStatus,summary: defectSummary,statusId:defectStatusId});
							this.defectIdList.push(defectId);
						}
					}else if(result.defects[i].id){
						this.defectList.push(result.defects[i]);
						this.defectIdList.push(result.defects[i].id);
					}
				}
				this.defectList.sort(function(defect1, defect2){
					var id1 = parseInt(defect1.id, 10);
					var id2 = parseInt(defect2.id, 10);
					return id2 - id1; //if id2 is greater than id1 return positive 
				});
			}				
        },
		createDefectTable: function(){
			if(this.result)
				this._getSortedDefectList(this.result);	
			if(this.ewi && this.defectList.length>0)
				this.setBlockingStatus(this.defectList);
			if(this.defectTable){
				this.updateDefectSection();
			}else{
				var defectOrigin = DEFECT_ORIGIN_1;
				if(this.editable){
					defectOrigin = DEFECT_ORIGIN_2;
				}
				this.defectTable = new DefectTableView({defects: this.defectList, parentEditor: this, defectOrigin: defectOrigin, isEditable: this._isPermitted()});
				var defectParams ={
					title: Constants_getMessage("labelDefects"),
					summary: this.defectTable.domNode,
					helpContextId: "rqm_execution_defects_help.html"
				}
				
				var defectTableSection = this._createCollapsibleSection(defectParams);
				com.ibm.asq.common.web.ui.internal.util.Utility.destroyWidgetsFromNode(this._defectTable);
				dojox.data.dom.removeChildren(this._defectTable);
				this._defectTable.appendChild(defectTableSection.domNode);
			}
			ChangeRequestManager.getInstance().getServiceProviders(dojo.hitch(this, function(serviceProviders){
				if((!this.isExtSaved) && serviceProviders!= null && serviceProviders.length > 0){
					// Get the external rtc defects of ExecutionResult			
					if(this.result.itemId && this.result.itemId!= "null" ){
						this._getExtResultRelatedDefects(this.result.itemId, true, CmIntegrationClient.RESULT_RELATEDTO_DEFECT );	
					}		
				}
			}));
		},
		
		updateDefectSection: function(){
			if(this.defectTable){
				var extChangedERRelatedDefects = this.extERRelatedDefects.clone();
				extChangedERRelatedDefects.addRange(this.extAddedERRelatedDefects.toArray());
				dojo.forEach(this.extRemovedERRelatedDefects.toArray(), function(defect){
					extChangedERRelatedDefects.remove(defect);
				});
				var allDefects = extChangedERRelatedDefects.toArray();
				this.defectTable.setContent(allDefects.concat(this.defectList));
			}
		},
		_getExtResultRelatedDefects:function(itemId, isResultRelated, linkType){
			ProgressDialog.doRunWithProgress(Constants_getMessage("labelAssociatedDefects"), dojo.hitch(this, function(monitor){
				
			var workItemIdentification = { 
					linkType: linkType,
					isExecutionResultRelated: isResultRelated, 
					itemIdOrUriArray: [itemId] 
			};
			CmIntegrationClient.postAssociatedWorkItems(workItemIdentification, 
				dojo.hitch(this, function(status, response) {
						if (status.isOK()) {
							dojo.forEach(response, dojo.hitch(this, function(workItem) {
								this._updateExternalDraftItem({
										summary: Utility._restoreTags(workItem.summary),
										defectItemUri: workItem.uri,
										uri: workItem.uri
								});					
							}));
							// Get the external blocking defects of ewi
							if(this.ewi.itemId && this.ewi.itemId != "null"){
								this._getExtEwiBlockingDefects(this.ewi.itemId, false, CmIntegrationClient.EWI_BLOCKING_DEFECT, monitor );					
							} else {
								monitor.done();
							}	
							if(this.extERRelatedDefects.count > 0){
								this.setExtBlockingStatus(this.extERRelatedDefects.toArray());
								this.updateDefectSection();
							}
						} else if (status.getSeverity() != Status.CANCEL) {
			                status.log();
							alert(Constants_getMessage("labelNoAssociatedWorkItems", status.getMessage()));
			            }
				}));
			}));
		},
		_getExtEwiBlockingDefects:function(itemId, isResultRelated, linkType, monitor){
			var workItemIdentification = { 
					linkType: linkType,
					isExecutionResultRelated: isResultRelated, 
					itemIdOrUriArray: [itemId] 
			};
			CmIntegrationClient.postAssociatedWorkItems(workItemIdentification, 
			dojo.hitch(this, function(status, response) {
					if (status.isOK()) {
						dojo.forEach(response, dojo.hitch(this, function(workItem) {						
							this.extBlockingDefects.add({
								summary: Utility._restoreTags(workItem.summary),
								defectItemUri: workItem.uri,
								uri: workItem.uri,
								isBlocking: true
							});
						}));
						if(this.ewi.itemId && this.ewi.itemId != "null"){
							this._getExtEwiRelatedDefects(this.ewi.itemId, false, CmIntegrationClient.RESULT_RELATEDTO_DEFECT, monitor);						
						}else {
							monitor.done();
						}
						if(this.extERRelatedDefects.count > 0){
							this.setExtBlockingStatus(this.extERRelatedDefects.toArray());
							this.updateDefectSection();
						}
					} else if (status.getSeverity() != Status.CANCEL) {
		                status.log();
						alert(Constants_getMessage("labelNoAssociatedWorkItems", status.getMessage()));
		            }
			}));
		},
		_getExtEwiRelatedDefects:function(itemId, isResultRelated, linkType, monitor){
			var self = this;
			if(itemId == null) return;
			var _draftUriFilter = [];
		    var stepProperties = this._typeSpecificSectionWidget.stepProperties;
			var len = stepProperties ? stepProperties.length : 0;
			for(var i = 0; i < len; i++){
				var prop = stepProperties[i];
				var len2 = prop? prop.length ||0:0; 
				for(var j = 0; j < len2; j++){
					if(prop[j].propertyType == "rtcdefectView")
						_draftUriFilter.push(prop[j].propertyValue) ;
				}
			}
			var workItemIdentification = { 
					linkType: linkType,
					isExecutionResultRelated: isResultRelated, 
					itemIdOrUriArray: [itemId] 
			};
			CmIntegrationClient.postAssociatedWorkItems(workItemIdentification, 
				dojo.hitch(this, function(status, response) {
					try{
						if (status.isOK()) {
							dojo.forEach(response, dojo.hitch(this, function(workItem) {
								var len = _draftUriFilter.length;							
								for(var i = 0; i < len; i++){ 
									if (_draftUriFilter[i].indexOf(workItem.uri) == 0){	
										self._updateExternalDraftItem({
												summary: Utility._restoreTags(workItem.summary),
												status: workItem.status,
												uri: workItem.uri,
												defectItemUri: workItem.uri
										});
									}
								}	
							}));
								this.setExtBlockingStatus(this.extERRelatedDefects.toArray());
								this.updateDefectSection();
						} else if (status.getSeverity() != Status.CANCEL) {
			                status.log();
							alert(Constants_getMessage("labelNoAssociatedWorkItems", status.getMessage()));
			            }
					} finally {
						monitor.done();
					}				
				}));
		},
		
		setBlockingStatus:function(defectList, blockingAsDefault){
			if(blockingAsDefault){
				var len = defectList.length;
				for(var l=0;l<len;l++){
					defectList[l].isBlocking = true;
				}
			} else {
				var blockingDefects = this.ewi.defects;
				var blockedDefectIds = [];
				if(blockingDefects && blockingDefects.length>0){
					var len  = blockingDefects.length;
					for(var i=0;i<len;i++){
						if(blockingDefects[i].workItem){
							var defectAttr = blockingDefects[i].workItem.attributes;
							var defectId = null;
							var defectIsOpen = false;
							var len2 = defectAttr.length;
							for(var j=0;j<len2;j++){
								var attr = defectAttr[j];
								if(attr.key == "id"){
									defectId = attr.value.id;
									//if we already figured that the defect isnt closed push it in the blockedDefectIds list and break
									if(defectIsOpen){
										blockedDefectIds.push(defectId);
										break;
									}
								}
								if(attr.key == "internalState" && attr.value.id != 5 ){ //id 5 corresponds to Closed
									//if we already got the defectID push it in the blockedDefectIds list and break
									if(defectId){
										blockedDefectIds.push(defectId);
										break;
									}else{
										defectIsOpen = true;
									}
								}
							}
						}else{
							if(blockingDefects[i].isBlocking)
								blockedDefectIds.push(blockingDefects[i].id);
						}
					}
				}
				if(blockedDefectIds.length>0){
					var len2 = blockedDefectIds.length;
					var len3 = defectList.length;
					for(var k=0;k<len2;k++){
						for(var l=0;l<len3;l++){
							if(defectList[l].id == blockedDefectIds[k])
								defectList[l].isBlocking = true;
						}
					}
				}
			}
		},
		setExtBlockingStatus: function(extDefectList){
			var len = extDefectList.length;
			this.extBlockingDefects.forEach(function(defect){
					var blockedId = defect.uri || defect.url;
					for(var i = 0; i < len; i++){
						var defectId = extDefectList[i].uri || extDefectList[i].url;
						if(blockedId == defectId)
							extDefectList[i].isBlocking = true;
					}
			}, this);
		},
        _loadError: function(e) {
            com.ibm.asq.common.web.ui.internal.util.Utility.handleArtifactLoadError(Constants_getMessage("labelExeResult"), e.message);
        },
		
		getEWI: function(){
			return this.ewi;
		},
		
		_updateExternalDraftItem: function(defect){
			var location = -1;
			this.extERRelatedDefects.forEach(function(item){
				if((item.id && defect.id && (item.id == defect.id)) || (item.uri && defect.uri && (item.uri == defect.uri))){
					location =  this.extERRelatedDefects.indexOf(item);
				}
			}, this);
			if(!(location == -1)){
				this.extERRelatedDefects.setByIndex(location, defect);
			}else{
				this.extERRelatedDefects.add({uri: defect.uri,
									summary: defect.summary,
									defectItemUri: defect.defectItemUri
				});
			}
			this.updateDefectSection();
		},
		
		removeExternalDraftItem: function(defects){			
			dojo.forEach(defects, dojo.hitch(this, function(defect){
				if(this._contains(this.extAddedERRelatedDefects.toArray(), defect.uri || defect.url)){
					this._remove(this.extAddedERRelatedDefects, defect.uri || defect.url);
				}
				if(this._contains(this.extERRelatedDefects.toArray(), defect.uri || defect.url) && !this._contains(this.extRemovedERRelatedDefects.toArray(), defect.uri || defect.url)){
					this.extRemovedERRelatedDefects.add(defect);
				}
				this._remove(this.extBlockingChangedDefects, defect.uri || defect.url);
				defect.isBlocking = false;
				this.extBlockingChangedDefects.add(defect);
			}));
			this.updateDefectSection();
			if(this._typeSpecificSectionWidget && this._typeSpecificSectionWidget.deleteDefect){
				this._typeSpecificSectionWidget._deleteDefect(defects);
			}
			this._setDirty(true);
		},
		printPdfNormal: function(){
			this.onPDFView(false);
		},
		printPdfHistory: function(){
			this.onPDFView(true);
		},
		onPDFView: function(isHistory) {
			var identifier = "executionresult/urn:com.ibm.rqm:executionresult:" + this.result.id;
			var locale = ASQUtility.getSupportedLocale();

    		var xml =  "<print-request>";
    		    xml += "<locale>" + locale + "</locale>";
    		    xml += "<artifact-type>" + "executionresult" + "</artifact-type>";
    		    
    		    if (isHistory)
    		        xml += "<print-type>history-print</print-type>";
    		    else
    		        xml += "<print-type>artifact-print</print-type>";
    		    
    		    xml += "<mime-type>application/pdf</mime-type>";
    		    xml += "<artifacts>";
    		    xml += "<uri>" + identifier + "</uri>";    
    		    xml += "</artifacts>";
    		    xml += "</print-request>";
    		
			if (printFormDiv == null){
				var printFormDiv = document.createElement("div");
				var printForm = document.createElement("form");
				printForm.setAttribute("name","printViewForm");
				printForm.setAttribute("action", net.jazz.ajax._contextRoot + "/secure/service/com.ibm.rqm.xslfo.service.IXSLFOService/" + ASQUtility.getCurrentProjectAreaAlias());
				printForm.setAttribute("method","POST");
				var printFormData = document.createElement("input");
				printFormData.setAttribute("name","printData");
				printFormData.setAttribute("type","hidden");
				printFormData.setAttribute("value","");
				printForm.appendChild(printFormData);
				printFormDiv.appendChild(printForm);
				document.body.appendChild(printFormDiv);
			}
			
			printFormData.value = xml;
			printForm.submit();
		},
		_error: function(errorObj) {
			console.error("Error: (message: '" + errorObj.message + "') from Execution Log Body#_error");
		}
	}
);

})();		
